import{S as Or,i as Ur,s as Gr,e as s,k as p,w as b,t as r,M as Hr,c as i,d as o,m as c,a,x as w,h as n,b as l,G as e,g as u,y as D,q as y,o as A,B as M,v as zr,L as Fr}from"../../../chunks/vendor-hf-doc-builder.js";import{D as gt}from"../../../chunks/Docstring-hf-doc-builder.js";import{C as Us}from"../../../chunks/CodeBlock-hf-doc-builder.js";import{I as ze}from"../../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Vr}from"../../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Wr(_t){let g,F,P,_,x;return _=new Us({props:{code:`import torch
from diffusers import AudioLDMPipeline

pipe = AudioLDMPipeline.from_pretrained("cvssp/audioldm", torch_dtype=torch.float16)
pipe = pipe.to("cuda")

prompt = "A hammer hitting a wooden surface"
audio = pipe(prompt).audio[0]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> AudioLDMPipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = AudioLDMPipeline.from_pretrained(<span class="hljs-string">&quot;cvssp/audioldm&quot;</span>, torch_dtype=torch.float16)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;A hammer hitting a wooden surface&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>audio = pipe(prompt).audio[<span class="hljs-number">0</span>]`}}),{c(){g=s("p"),F=r("Examples:"),P=p(),b(_.$$.fragment)},l(f){g=i(f,"P",{});var k=a(g);F=n(k,"Examples:"),k.forEach(o),P=c(f),w(_.$$.fragment,f)},m(f,k){u(f,g,k),e(g,F),u(f,P,k),D(_,f,k),x=!0},p:Fr,i(f){x||(y(_.$$.fragment,f),x=!0)},o(f){A(_.$$.fragment,f),x=!1},d(f){f&&o(g),f&&o(P),M(_,f)}}}function Rr(_t){let g,F,P,_,x,f,k,Fe,Qt,vt,I,V,Ve,oe,Xt,We,Yt,bt,W,Zt,se,eo,to,wt,L,oo,re,so,ro,Re,io,no,ie,ao,lo,Dt,S,po,ne,co,uo,ae,fo,ho,yt,N,R,Be,le,mo,Ke,go,At,T,_o,Me,vo,bo,de,wo,Do,Mt,pe,Pt,O,B,Je,ce,yo,Qe,Ao,$t,Pe,Mo,Et,K,Xe,Po,$o,Ye,Eo,Lt,$e,Lo,xt,J,U,xo,Ze,ko,So,et,To,jo,qo,G,Co,tt,Io,No,ot,Oo,Uo,kt,H,Q,st,ue,Go,rt,Ho,St,h,zo,Ee,Fo,Vo,it,Wo,Ro,Le,Bo,Ko,xe,Jo,Qo,ke,Xo,Yo,Se,Zo,es,Te,ts,os,Tt,$,ss,je,rs,is,nt,ns,as,at,ls,ds,qe,ps,cs,jt,fe,qt,z,X,lt,he,us,dt,fs,Ct,m,me,hs,pt,ms,gs,ge,_s,Ce,vs,bs,ws,j,_e,Ds,ct,ys,As,Y,Ms,Z,ve,Ps,be,$s,ut,Es,Ls,xs,ee,we,ks,De,Ss,ft,Ts,js,qs,q,ye,Cs,ht,Is,Ns,mt,Os,It;return f=new ze({}),oe=new ze({}),le=new ze({}),pe=new Us({props:{code:`from diffusers import AudioLDMPipeline
import torch
import scipy

repo_id = "cvssp/audioldm"
pipe = AudioLDMPipeline.from_pretrained(repo_id, torch_dtype=torch.float16)
pipe = pipe.to("cuda")

prompt = "Techno music with a strong, upbeat tempo and high melodic riffs"
audio = pipe(prompt, num_inference_steps=10, audio_length_in_s=5.0).audios[0]

# save the audio sample as a .wav file
scipy.io.wavfile.write("techno.wav", rate=16000, data=audio)`,highlighted:`<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> AudioLDMPipeline
<span class="hljs-keyword">import</span> torch
<span class="hljs-keyword">import</span> scipy

repo_id = <span class="hljs-string">&quot;cvssp/audioldm&quot;</span>
pipe = AudioLDMPipeline.from_pretrained(repo_id, torch_dtype=torch.float16)
pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)

prompt = <span class="hljs-string">&quot;Techno music with a strong, upbeat tempo and high melodic riffs&quot;</span>
audio = pipe(prompt, num_inference_steps=<span class="hljs-number">10</span>, audio_length_in_s=<span class="hljs-number">5.0</span>).audios[<span class="hljs-number">0</span>]

<span class="hljs-comment"># save the audio sample as a .wav file</span>
scipy.io.wavfile.write(<span class="hljs-string">&quot;techno.wav&quot;</span>, rate=<span class="hljs-number">16000</span>, data=audio)`}}),ce=new ze({}),ue=new ze({}),fe=new Us({props:{code:`from diffusers import AudioLDMPipeline, DPMSolverMultistepScheduler
import torch

pipeline = AudioLDMPipeline.from_pretrained("cvssp/audioldm", torch_dtype=torch.float16)
pipeline.scheduler = DPMSolverMultistepScheduler.from_config(pipeline.scheduler.config)

# or
dpm_scheduler = DPMSolverMultistepScheduler.from_pretrained("cvssp/audioldm", subfolder="scheduler")
pipeline = AudioLDMPipeline.from_pretrained("cvssp/audioldm", scheduler=dpm_scheduler, torch_dtype=torch.float16)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> AudioLDMPipeline, DPMSolverMultistepScheduler
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>pipeline = AudioLDMPipeline.from_pretrained(<span class="hljs-string">&quot;cvssp/audioldm&quot;</span>, torch_dtype=torch.float16)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipeline.scheduler = DPMSolverMultistepScheduler.from_config(pipeline.scheduler.config)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># or</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>dpm_scheduler = DPMSolverMultistepScheduler.from_pretrained(<span class="hljs-string">&quot;cvssp/audioldm&quot;</span>, subfolder=<span class="hljs-string">&quot;scheduler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipeline = AudioLDMPipeline.from_pretrained(<span class="hljs-string">&quot;cvssp/audioldm&quot;</span>, scheduler=dpm_scheduler, torch_dtype=torch.float16)`}}),he=new ze({}),me=new gt({props:{name:"class diffusers.AudioLDMPipeline",anchor:"diffusers.AudioLDMPipeline",parameters:[{name:"vae",val:": AutoencoderKL"},{name:"text_encoder",val:": ClapTextModelWithProjection"},{name:"tokenizer",val:": typing.Union[transformers.models.roberta.tokenization_roberta.RobertaTokenizer, transformers.models.roberta.tokenization_roberta_fast.RobertaTokenizerFast]"},{name:"unet",val:": UNet2DConditionModel"},{name:"scheduler",val:": KarrasDiffusionSchedulers"},{name:"vocoder",val:": SpeechT5HifiGan"}],parametersDescription:[{anchor:"diffusers.AudioLDMPipeline.vae",description:`<strong>vae</strong> (<a href="/docs/diffusers/pr_2813/en/api/models#diffusers.AutoencoderKL">AutoencoderKL</a>) &#x2014;
Variational Auto-Encoder (VAE) Model to encode and decode audios to and from latent representations.`,name:"vae"},{anchor:"diffusers.AudioLDMPipeline.text_encoder",description:`<strong>text_encoder</strong> (<code>ClapTextModelWithProjection</code>) &#x2014;
Frozen text-encoder. AudioLDM uses the text portion of
<a href="https://huggingface.co/docs/transformers/main/model_doc/clap#transformers.ClapTextModelWithProjection" rel="nofollow">CLAP</a>,
specifically the <a href="https://huggingface.co/laion/clap-htsat-unfused" rel="nofollow">RoBERTa HSTAT-unfused</a> variant.`,name:"text_encoder"},{anchor:"diffusers.AudioLDMPipeline.tokenizer",description:`<strong>tokenizer</strong> (<code>PreTrainedTokenizer</code>) &#x2014;
Tokenizer of class
<a href="https://huggingface.co/docs/transformers/model_doc/roberta#transformers.RobertaTokenizer" rel="nofollow">RobertaTokenizer</a>.`,name:"tokenizer"},{anchor:"diffusers.AudioLDMPipeline.unet",description:'<strong>unet</strong> (<a href="/docs/diffusers/pr_2813/en/api/models#diffusers.UNet2DConditionModel">UNet2DConditionModel</a>) &#x2014; U-Net architecture to denoise the encoded audio latents.',name:"unet"},{anchor:"diffusers.AudioLDMPipeline.scheduler",description:`<strong>scheduler</strong> (<a href="/docs/diffusers/pr_2813/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a>) &#x2014;
A scheduler to be used in combination with <code>unet</code> to denoise the encoded audio latents. Can be one of
<a href="/docs/diffusers/pr_2813/en/api/schedulers/ddim#diffusers.DDIMScheduler">DDIMScheduler</a>, <a href="/docs/diffusers/pr_2813/en/api/schedulers/lms_discrete#diffusers.LMSDiscreteScheduler">LMSDiscreteScheduler</a>, or <a href="/docs/diffusers/pr_2813/en/api/schedulers/pndm#diffusers.PNDMScheduler">PNDMScheduler</a>.`,name:"scheduler"},{anchor:"diffusers.AudioLDMPipeline.vocoder",description:`<strong>vocoder</strong> (<code>SpeechT5HifiGan</code>) &#x2014;
Vocoder of class
<a href="https://huggingface.co/docs/transformers/main/en/model_doc/speecht5#transformers.SpeechT5HifiGan" rel="nofollow">SpeechT5HifiGan</a>.`,name:"vocoder"}],source:"https://github.com/huggingface/diffusers/blob/vr_2813/src/diffusers/pipelines/audioldm/pipeline_audioldm.py#L46"}}),_e=new gt({props:{name:"__call__",anchor:"diffusers.AudioLDMPipeline.__call__",parameters:[{name:"prompt",val:": typing.Union[str, typing.List[str]] = None"},{name:"audio_length_in_s",val:": typing.Optional[float] = None"},{name:"num_inference_steps",val:": int = 10"},{name:"guidance_scale",val:": float = 2.5"},{name:"negative_prompt",val:": typing.Union[str, typing.List[str], NoneType] = None"},{name:"num_waveforms_per_prompt",val:": typing.Optional[int] = 1"},{name:"eta",val:": float = 0.0"},{name:"generator",val:": typing.Union[torch._C.Generator, typing.List[torch._C.Generator], NoneType] = None"},{name:"latents",val:": typing.Optional[torch.FloatTensor] = None"},{name:"prompt_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"negative_prompt_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"return_dict",val:": bool = True"},{name:"callback",val:": typing.Union[typing.Callable[[int, int, torch.FloatTensor], NoneType], NoneType] = None"},{name:"callback_steps",val:": typing.Optional[int] = 1"},{name:"cross_attention_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"output_type",val:": typing.Optional[str] = 'np'"}],parametersDescription:[{anchor:"diffusers.AudioLDMPipeline.__call__.prompt",description:`<strong>prompt</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
The prompt or prompts to guide the audio generation. If not defined, one has to pass <code>prompt_embeds</code>.
instead.`,name:"prompt"},{anchor:"diffusers.AudioLDMPipeline.__call__.audio_length_in_s",description:`<strong>audio_length_in_s</strong> (<code>int</code>, <em>optional</em>, defaults to 5.12) &#x2014;
The length of the generated audio sample in seconds.`,name:"audio_length_in_s"},{anchor:"diffusers.AudioLDMPipeline.__call__.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 10) &#x2014;
The number of denoising steps. More denoising steps usually lead to a higher quality audio at the
expense of slower inference.`,name:"num_inference_steps"},{anchor:"diffusers.AudioLDMPipeline.__call__.guidance_scale",description:`<strong>guidance_scale</strong> (<code>float</code>, <em>optional</em>, defaults to 2.5) &#x2014;
Guidance scale as defined in <a href="https://arxiv.org/abs/2207.12598" rel="nofollow">Classifier-Free Diffusion Guidance</a>.
<code>guidance_scale</code> is defined as <code>w</code> of equation 2. of <a href="https://arxiv.org/pdf/2205.11487.pdf" rel="nofollow">Imagen
Paper</a>. Guidance scale is enabled by setting <code>guidance_scale &gt; 1</code>. Higher guidance scale encourages to generate audios that are closely linked to the text <code>prompt</code>,
usually at the expense of lower sound quality.`,name:"guidance_scale"},{anchor:"diffusers.AudioLDMPipeline.__call__.negative_prompt",description:`<strong>negative_prompt</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
The prompt or prompts not to guide the audio generation. If not defined, one has to pass
<code>negative_prompt_embeds</code>. instead. If not defined, one has to pass <code>negative_prompt_embeds</code>. instead.
Ignored when not using guidance (i.e., ignored if <code>guidance_scale</code> is less than <code>1</code>).`,name:"negative_prompt"},{anchor:"diffusers.AudioLDMPipeline.__call__.num_waveforms_per_prompt",description:`<strong>num_waveforms_per_prompt</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The number of waveforms to generate per prompt.`,name:"num_waveforms_per_prompt"},{anchor:"diffusers.AudioLDMPipeline.__call__.eta",description:`<strong>eta</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
Corresponds to parameter eta (&#x3B7;) in the DDIM paper: <a href="https://arxiv.org/abs/2010.02502" rel="nofollow">https://arxiv.org/abs/2010.02502</a>. Only applies to
<a href="/docs/diffusers/pr_2813/en/api/schedulers/ddim#diffusers.DDIMScheduler">schedulers.DDIMScheduler</a>, will be ignored for others.`,name:"eta"},{anchor:"diffusers.AudioLDMPipeline.__call__.generator",description:`<strong>generator</strong> (<code>torch.Generator</code> or <code>List[torch.Generator]</code>, <em>optional</em>) &#x2014;
One or a list of <a href="https://pytorch.org/docs/stable/generated/torch.Generator.html" rel="nofollow">torch generator(s)</a>
to make generation deterministic.`,name:"generator"},{anchor:"diffusers.AudioLDMPipeline.__call__.latents",description:`<strong>latents</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated noisy latents, sampled from a Gaussian distribution, to be used as inputs for audio
generation. Can be used to tweak the same generation with different prompts. If not provided, a latents
tensor will ge generated by sampling using the supplied random <code>generator</code>.`,name:"latents"},{anchor:"diffusers.AudioLDMPipeline.__call__.prompt_embeds",description:`<strong>prompt_embeds</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated text embeddings. Can be used to easily tweak text inputs, <em>e.g.</em> prompt weighting. If not
provided, text embeddings will be generated from <code>prompt</code> input argument.`,name:"prompt_embeds"},{anchor:"diffusers.AudioLDMPipeline.__call__.negative_prompt_embeds",description:`<strong>negative_prompt_embeds</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated negative text embeddings. Can be used to easily tweak text inputs, <em>e.g.</em> prompt
weighting. If not provided, negative_prompt_embeds will be generated from <code>negative_prompt</code> input
argument.`,name:"negative_prompt_embeds"},{anchor:"diffusers.AudioLDMPipeline.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/pr_2813/en/api/pipelines/stable_diffusion/overview#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput">StableDiffusionPipelineOutput</a> instead of a
plain tuple.`,name:"return_dict"},{anchor:"diffusers.AudioLDMPipeline.__call__.callback",description:`<strong>callback</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
A function that will be called every <code>callback_steps</code> steps during inference. The function will be
called with the following arguments: <code>callback(step: int, timestep: int, latents: torch.FloatTensor)</code>.`,name:"callback"},{anchor:"diffusers.AudioLDMPipeline.__call__.callback_steps",description:`<strong>callback_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The frequency at which the <code>callback</code> function will be called. If not specified, the callback will be
called at every step.`,name:"callback_steps"},{anchor:"diffusers.AudioLDMPipeline.__call__.cross_attention_kwargs",description:`<strong>cross_attention_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
A kwargs dictionary that if specified is passed along to the <code>AttnProcessor</code> as defined under
<code>self.processor</code> in
<a href="https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/cross_attention.py" rel="nofollow">diffusers.cross_attention</a>.`,name:"cross_attention_kwargs"},{anchor:"diffusers.AudioLDMPipeline.__call__.output_type",description:`<strong>output_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;np&quot;</code>) &#x2014;
The output format of the generate image. Choose between:<ul>
<li><code>&quot;np&quot;</code>: Return Numpy <code>np.ndarray</code> objects.</li>
<li><code>&quot;pt&quot;</code>: Return PyTorch <code>torch.Tensor</code> objects.</li>
</ul>`,name:"output_type"}],source:"https://github.com/huggingface/diffusers/blob/vr_2813/src/diffusers/pipelines/audioldm/pipeline_audioldm.py#L398",returnDescription:`
<p><a
  href="/docs/diffusers/pr_2813/en/api/pipelines/stable_diffusion/overview#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput"
>StableDiffusionPipelineOutput</a> if <code>return_dict</code> is True, otherwise a \`tuple.
When returning a tuple, the first element is a list with the generated audios.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/pr_2813/en/api/pipelines/stable_diffusion/overview#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput"
>StableDiffusionPipelineOutput</a> or <code>tuple</code></p>
`}}),Y=new Vr({props:{anchor:"diffusers.AudioLDMPipeline.__call__.example",$$slots:{default:[Wr]},$$scope:{ctx:_t}}}),ve=new gt({props:{name:"disable_vae_slicing",anchor:"diffusers.AudioLDMPipeline.disable_vae_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2813/src/diffusers/pipelines/audioldm/pipeline_audioldm.py#L104"}}),we=new gt({props:{name:"enable_sequential_cpu_offload",anchor:"diffusers.AudioLDMPipeline.enable_sequential_cpu_offload",parameters:[{name:"gpu_id",val:" = 0"}],source:"https://github.com/huggingface/diffusers/blob/vr_2813/src/diffusers/pipelines/audioldm/pipeline_audioldm.py#L111"}}),ye=new gt({props:{name:"enable_vae_slicing",anchor:"diffusers.AudioLDMPipeline.enable_vae_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2813/src/diffusers/pipelines/audioldm/pipeline_audioldm.py#L94"}}),{c(){g=s("meta"),F=p(),P=s("h1"),_=s("a"),x=s("span"),b(f.$$.fragment),k=p(),Fe=s("span"),Qt=r("AudioLDM"),vt=p(),I=s("h2"),V=s("a"),Ve=s("span"),b(oe.$$.fragment),Xt=p(),We=s("span"),Yt=r("Overview"),bt=p(),W=s("p"),Zt=r("AudioLDM was proposed in "),se=s("a"),eo=r("AudioLDM: Text-to-Audio Generation with Latent Diffusion Models"),to=r(" by Haohe Liu et al."),wt=p(),L=s("p"),oo=r("Inspired by "),re=s("a"),so=r("Stable Diffusion"),ro=r(`, AudioLDM
is a text-to-audio `),Re=s("em"),io=r("latent diffusion model (LDM)"),no=r(" that learns continuous audio representations from "),ie=s("a"),ao=r("CLAP"),lo=r(`
latents. AudioLDM takes a text prompt as input and predicts the corresponding audio. It can generate text-conditional
sound effects, human speech and music.`),Dt=p(),S=s("p"),po=r("This pipeline was contributed by "),ne=s("a"),co=r("sanchit-gandhi"),uo=r(". The original codebase can be found "),ae=s("a"),fo=r("here"),ho=r("."),yt=p(),N=s("h2"),R=s("a"),Be=s("span"),b(le.$$.fragment),mo=p(),Ke=s("span"),go=r("Text-to-Audio"),At=p(),T=s("p"),_o=r("The "),Me=s("a"),vo=r("AudioLDMPipeline"),bo=r(" can be used to load pre-trained weights from "),de=s("a"),wo=r("cvssp/audioldm"),Do=r(" and generate text-conditional audio outputs:"),Mt=p(),b(pe.$$.fragment),Pt=p(),O=s("h3"),B=s("a"),Je=s("span"),b(ce.$$.fragment),yo=p(),Qe=s("span"),Ao=r("Tips"),$t=p(),Pe=s("p"),Mo=r("Prompts:"),Et=p(),K=s("ul"),Xe=s("li"),Po=r("Descriptive prompt inputs work best: you can use adjectives to describe the sound (e.g. \u201Chigh quality\u201D or \u201Cclear\u201D) and make the prompt context specific (e.g., \u201Cwater stream in a forest\u201D instead of \u201Cstream\u201D)."),$o=p(),Ye=s("li"),Eo=r("It\u2019s best to use general terms like \u2018cat\u2019 or \u2018dog\u2019 instead of specific names or abstract objects that the model may not be familiar with."),Lt=p(),$e=s("p"),Lo=r("Inference:"),xt=p(),J=s("ul"),U=s("li"),xo=r("The "),Ze=s("em"),ko=r("quality"),So=r(" of the predicted audio sample can be controlled by the "),et=s("code"),To=r("num_inference_steps"),jo=r(" argument: higher steps give higher quality audio at the expense of slower inference."),qo=p(),G=s("li"),Co=r("The "),tt=s("em"),Io=r("length"),No=r(" of the predicted audio sample can be controlled by varying the "),ot=s("code"),Oo=r("audio_length_in_s"),Uo=r(" argument."),kt=p(),H=s("h3"),Q=s("a"),st=s("span"),b(ue.$$.fragment),Go=p(),rt=s("span"),Ho=r("How to load and use different schedulers"),St=p(),h=s("p"),zo=r("The AudioLDM pipeline uses "),Ee=s("a"),Fo=r("DDIMScheduler"),Vo=r(" scheduler by default. But "),it=s("code"),Wo=r("diffusers"),Ro=r(` provides many other schedulers
that can be used with the AudioLDM pipeline such as `),Le=s("a"),Bo=r("PNDMScheduler"),Ko=r(", "),xe=s("a"),Jo=r("LMSDiscreteScheduler"),Qo=r(", "),ke=s("a"),Xo=r("EulerDiscreteScheduler"),Yo=r(`,
`),Se=s("a"),Zo=r("EulerAncestralDiscreteScheduler"),es=r(" etc. We recommend using the "),Te=s("a"),ts=r("DPMSolverMultistepScheduler"),os=r(` as it\u2019s currently the fastest
scheduler there is.`),Tt=p(),$=s("p"),ss=r("To use a different scheduler, you can either change it via the "),je=s("a"),rs=r("ConfigMixin.from_config()"),is=r(`
method, or pass the `),nt=s("code"),ns=r("scheduler"),as=r(" argument to the "),at=s("code"),ls=r("from_pretrained"),ds=r(` method of the pipeline. For example, to use the
`),qe=s("a"),ps=r("DPMSolverMultistepScheduler"),cs=r(", you can do the following:"),jt=p(),b(fe.$$.fragment),qt=p(),z=s("h2"),X=s("a"),lt=s("span"),b(he.$$.fragment),us=p(),dt=s("span"),fs=r("AudioLDMPipeline"),Ct=p(),m=s("div"),b(me.$$.fragment),hs=p(),pt=s("p"),ms=r("Pipeline for text-to-audio generation using AudioLDM."),gs=p(),ge=s("p"),_s=r("This model inherits from "),Ce=s("a"),vs=r("DiffusionPipeline"),bs=r(`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),ws=p(),j=s("div"),b(_e.$$.fragment),Ds=p(),ct=s("p"),ys=r("Function invoked when calling the pipeline for generation."),As=p(),b(Y.$$.fragment),Ms=p(),Z=s("div"),b(ve.$$.fragment),Ps=p(),be=s("p"),$s=r("Disable sliced VAE decoding. If "),ut=s("code"),Es=r("enable_vae_slicing"),Ls=r(` was previously invoked, this method will go back to
computing decoding in one step.`),xs=p(),ee=s("div"),b(we.$$.fragment),ks=p(),De=s("p"),Ss=r(`Offloads all models to CPU using accelerate, significantly reducing memory usage. When called, unet,
text_encoder, vae and vocoder have their state dicts saved to CPU and then are moved to a `),ft=s("code"),Ts=r("torch.device('meta') and loaded to GPU only when their specific submodule has its "),js=r("forward` method called."),qs=p(),q=s("div"),b(ye.$$.fragment),Cs=p(),ht=s("p"),Is=r("Enable sliced VAE decoding."),Ns=p(),mt=s("p"),Os=r(`When this option is enabled, the VAE will split the input tensor in slices to compute decoding in several
steps. This is useful to save some memory and allow larger batch sizes.`),this.h()},l(t){const d=Hr('[data-svelte="svelte-1phssyn"]',document.head);g=i(d,"META",{name:!0,content:!0}),d.forEach(o),F=c(t),P=i(t,"H1",{class:!0});var Ae=a(P);_=i(Ae,"A",{id:!0,class:!0,href:!0});var Gs=a(_);x=i(Gs,"SPAN",{});var Hs=a(x);w(f.$$.fragment,Hs),Hs.forEach(o),Gs.forEach(o),k=c(Ae),Fe=i(Ae,"SPAN",{});var zs=a(Fe);Qt=n(zs,"AudioLDM"),zs.forEach(o),Ae.forEach(o),vt=c(t),I=i(t,"H2",{class:!0});var Nt=a(I);V=i(Nt,"A",{id:!0,class:!0,href:!0});var Fs=a(V);Ve=i(Fs,"SPAN",{});var Vs=a(Ve);w(oe.$$.fragment,Vs),Vs.forEach(o),Fs.forEach(o),Xt=c(Nt),We=i(Nt,"SPAN",{});var Ws=a(We);Yt=n(Ws,"Overview"),Ws.forEach(o),Nt.forEach(o),bt=c(t),W=i(t,"P",{});var Ot=a(W);Zt=n(Ot,"AudioLDM was proposed in "),se=i(Ot,"A",{href:!0,rel:!0});var Rs=a(se);eo=n(Rs,"AudioLDM: Text-to-Audio Generation with Latent Diffusion Models"),Rs.forEach(o),to=n(Ot," by Haohe Liu et al."),Ot.forEach(o),wt=c(t),L=i(t,"P",{});var te=a(L);oo=n(te,"Inspired by "),re=i(te,"A",{href:!0,rel:!0});var Bs=a(re);so=n(Bs,"Stable Diffusion"),Bs.forEach(o),ro=n(te,`, AudioLDM
is a text-to-audio `),Re=i(te,"EM",{});var Ks=a(Re);io=n(Ks,"latent diffusion model (LDM)"),Ks.forEach(o),no=n(te," that learns continuous audio representations from "),ie=i(te,"A",{href:!0,rel:!0});var Js=a(ie);ao=n(Js,"CLAP"),Js.forEach(o),lo=n(te,`
latents. AudioLDM takes a text prompt as input and predicts the corresponding audio. It can generate text-conditional
sound effects, human speech and music.`),te.forEach(o),Dt=c(t),S=i(t,"P",{});var Ie=a(S);po=n(Ie,"This pipeline was contributed by "),ne=i(Ie,"A",{href:!0,rel:!0});var Qs=a(ne);co=n(Qs,"sanchit-gandhi"),Qs.forEach(o),uo=n(Ie,". The original codebase can be found "),ae=i(Ie,"A",{href:!0,rel:!0});var Xs=a(ae);fo=n(Xs,"here"),Xs.forEach(o),ho=n(Ie,"."),Ie.forEach(o),yt=c(t),N=i(t,"H2",{class:!0});var Ut=a(N);R=i(Ut,"A",{id:!0,class:!0,href:!0});var Ys=a(R);Be=i(Ys,"SPAN",{});var Zs=a(Be);w(le.$$.fragment,Zs),Zs.forEach(o),Ys.forEach(o),mo=c(Ut),Ke=i(Ut,"SPAN",{});var er=a(Ke);go=n(er,"Text-to-Audio"),er.forEach(o),Ut.forEach(o),At=c(t),T=i(t,"P",{});var Ne=a(T);_o=n(Ne,"The "),Me=i(Ne,"A",{href:!0});var tr=a(Me);vo=n(tr,"AudioLDMPipeline"),tr.forEach(o),bo=n(Ne," can be used to load pre-trained weights from "),de=i(Ne,"A",{href:!0,rel:!0});var or=a(de);wo=n(or,"cvssp/audioldm"),or.forEach(o),Do=n(Ne," and generate text-conditional audio outputs:"),Ne.forEach(o),Mt=c(t),w(pe.$$.fragment,t),Pt=c(t),O=i(t,"H3",{class:!0});var Gt=a(O);B=i(Gt,"A",{id:!0,class:!0,href:!0});var sr=a(B);Je=i(sr,"SPAN",{});var rr=a(Je);w(ce.$$.fragment,rr),rr.forEach(o),sr.forEach(o),yo=c(Gt),Qe=i(Gt,"SPAN",{});var ir=a(Qe);Ao=n(ir,"Tips"),ir.forEach(o),Gt.forEach(o),$t=c(t),Pe=i(t,"P",{});var nr=a(Pe);Mo=n(nr,"Prompts:"),nr.forEach(o),Et=c(t),K=i(t,"UL",{});var Ht=a(K);Xe=i(Ht,"LI",{});var ar=a(Xe);Po=n(ar,"Descriptive prompt inputs work best: you can use adjectives to describe the sound (e.g. \u201Chigh quality\u201D or \u201Cclear\u201D) and make the prompt context specific (e.g., \u201Cwater stream in a forest\u201D instead of \u201Cstream\u201D)."),ar.forEach(o),$o=c(Ht),Ye=i(Ht,"LI",{});var lr=a(Ye);Eo=n(lr,"It\u2019s best to use general terms like \u2018cat\u2019 or \u2018dog\u2019 instead of specific names or abstract objects that the model may not be familiar with."),lr.forEach(o),Ht.forEach(o),Lt=c(t),$e=i(t,"P",{});var dr=a($e);Lo=n(dr,"Inference:"),dr.forEach(o),xt=c(t),J=i(t,"UL",{});var zt=a(J);U=i(zt,"LI",{});var Oe=a(U);xo=n(Oe,"The "),Ze=i(Oe,"EM",{});var pr=a(Ze);ko=n(pr,"quality"),pr.forEach(o),So=n(Oe," of the predicted audio sample can be controlled by the "),et=i(Oe,"CODE",{});var cr=a(et);To=n(cr,"num_inference_steps"),cr.forEach(o),jo=n(Oe," argument: higher steps give higher quality audio at the expense of slower inference."),Oe.forEach(o),qo=c(zt),G=i(zt,"LI",{});var Ue=a(G);Co=n(Ue,"The "),tt=i(Ue,"EM",{});var ur=a(tt);Io=n(ur,"length"),ur.forEach(o),No=n(Ue," of the predicted audio sample can be controlled by varying the "),ot=i(Ue,"CODE",{});var fr=a(ot);Oo=n(fr,"audio_length_in_s"),fr.forEach(o),Uo=n(Ue," argument."),Ue.forEach(o),zt.forEach(o),kt=c(t),H=i(t,"H3",{class:!0});var Ft=a(H);Q=i(Ft,"A",{id:!0,class:!0,href:!0});var hr=a(Q);st=i(hr,"SPAN",{});var mr=a(st);w(ue.$$.fragment,mr),mr.forEach(o),hr.forEach(o),Go=c(Ft),rt=i(Ft,"SPAN",{});var gr=a(rt);Ho=n(gr,"How to load and use different schedulers"),gr.forEach(o),Ft.forEach(o),St=c(t),h=i(t,"P",{});var v=a(h);zo=n(v,"The AudioLDM pipeline uses "),Ee=i(v,"A",{href:!0});var _r=a(Ee);Fo=n(_r,"DDIMScheduler"),_r.forEach(o),Vo=n(v," scheduler by default. But "),it=i(v,"CODE",{});var vr=a(it);Wo=n(vr,"diffusers"),vr.forEach(o),Ro=n(v,` provides many other schedulers
that can be used with the AudioLDM pipeline such as `),Le=i(v,"A",{href:!0});var br=a(Le);Bo=n(br,"PNDMScheduler"),br.forEach(o),Ko=n(v,", "),xe=i(v,"A",{href:!0});var wr=a(xe);Jo=n(wr,"LMSDiscreteScheduler"),wr.forEach(o),Qo=n(v,", "),ke=i(v,"A",{href:!0});var Dr=a(ke);Xo=n(Dr,"EulerDiscreteScheduler"),Dr.forEach(o),Yo=n(v,`,
`),Se=i(v,"A",{href:!0});var yr=a(Se);Zo=n(yr,"EulerAncestralDiscreteScheduler"),yr.forEach(o),es=n(v," etc. We recommend using the "),Te=i(v,"A",{href:!0});var Ar=a(Te);ts=n(Ar,"DPMSolverMultistepScheduler"),Ar.forEach(o),os=n(v,` as it\u2019s currently the fastest
scheduler there is.`),v.forEach(o),Tt=c(t),$=i(t,"P",{});var C=a($);ss=n(C,"To use a different scheduler, you can either change it via the "),je=i(C,"A",{href:!0});var Mr=a(je);rs=n(Mr,"ConfigMixin.from_config()"),Mr.forEach(o),is=n(C,`
method, or pass the `),nt=i(C,"CODE",{});var Pr=a(nt);ns=n(Pr,"scheduler"),Pr.forEach(o),as=n(C," argument to the "),at=i(C,"CODE",{});var $r=a(at);ls=n($r,"from_pretrained"),$r.forEach(o),ds=n(C,` method of the pipeline. For example, to use the
`),qe=i(C,"A",{href:!0});var Er=a(qe);ps=n(Er,"DPMSolverMultistepScheduler"),Er.forEach(o),cs=n(C,", you can do the following:"),C.forEach(o),jt=c(t),w(fe.$$.fragment,t),qt=c(t),z=i(t,"H2",{class:!0});var Vt=a(z);X=i(Vt,"A",{id:!0,class:!0,href:!0});var Lr=a(X);lt=i(Lr,"SPAN",{});var xr=a(lt);w(he.$$.fragment,xr),xr.forEach(o),Lr.forEach(o),us=c(Vt),dt=i(Vt,"SPAN",{});var kr=a(dt);fs=n(kr,"AudioLDMPipeline"),kr.forEach(o),Vt.forEach(o),Ct=c(t),m=i(t,"DIV",{class:!0});var E=a(m);w(me.$$.fragment,E),hs=c(E),pt=i(E,"P",{});var Sr=a(pt);ms=n(Sr,"Pipeline for text-to-audio generation using AudioLDM."),Sr.forEach(o),gs=c(E),ge=i(E,"P",{});var Wt=a(ge);_s=n(Wt,"This model inherits from "),Ce=i(Wt,"A",{href:!0});var Tr=a(Ce);vs=n(Tr,"DiffusionPipeline"),Tr.forEach(o),bs=n(Wt,`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),Wt.forEach(o),ws=c(E),j=i(E,"DIV",{class:!0});var Ge=a(j);w(_e.$$.fragment,Ge),Ds=c(Ge),ct=i(Ge,"P",{});var jr=a(ct);ys=n(jr,"Function invoked when calling the pipeline for generation."),jr.forEach(o),As=c(Ge),w(Y.$$.fragment,Ge),Ge.forEach(o),Ms=c(E),Z=i(E,"DIV",{class:!0});var Rt=a(Z);w(ve.$$.fragment,Rt),Ps=c(Rt),be=i(Rt,"P",{});var Bt=a(be);$s=n(Bt,"Disable sliced VAE decoding. If "),ut=i(Bt,"CODE",{});var qr=a(ut);Es=n(qr,"enable_vae_slicing"),qr.forEach(o),Ls=n(Bt,` was previously invoked, this method will go back to
computing decoding in one step.`),Bt.forEach(o),Rt.forEach(o),xs=c(E),ee=i(E,"DIV",{class:!0});var Kt=a(ee);w(we.$$.fragment,Kt),ks=c(Kt),De=i(Kt,"P",{});var Jt=a(De);Ss=n(Jt,`Offloads all models to CPU using accelerate, significantly reducing memory usage. When called, unet,
text_encoder, vae and vocoder have their state dicts saved to CPU and then are moved to a `),ft=i(Jt,"CODE",{});var Cr=a(ft);Ts=n(Cr,"torch.device('meta') and loaded to GPU only when their specific submodule has its "),Cr.forEach(o),js=n(Jt,"forward` method called."),Jt.forEach(o),Kt.forEach(o),qs=c(E),q=i(E,"DIV",{class:!0});var He=a(q);w(ye.$$.fragment,He),Cs=c(He),ht=i(He,"P",{});var Ir=a(ht);Is=n(Ir,"Enable sliced VAE decoding."),Ir.forEach(o),Ns=c(He),mt=i(He,"P",{});var Nr=a(mt);Os=n(Nr,`When this option is enabled, the VAE will split the input tensor in slices to compute decoding in several
steps. This is useful to save some memory and allow larger batch sizes.`),Nr.forEach(o),He.forEach(o),E.forEach(o),this.h()},h(){l(g,"name","hf:doc:metadata"),l(g,"content",JSON.stringify(Br)),l(_,"id","audioldm"),l(_,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(_,"href","#audioldm"),l(P,"class","relative group"),l(V,"id","overview"),l(V,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(V,"href","#overview"),l(I,"class","relative group"),l(se,"href","https://arxiv.org/abs/2301.12503"),l(se,"rel","nofollow"),l(re,"href","https://huggingface.co/docs/diffusers/api/pipelines/stable_diffusion/overview"),l(re,"rel","nofollow"),l(ie,"href","https://huggingface.co/docs/transformers/main/model_doc/clap"),l(ie,"rel","nofollow"),l(ne,"href","https://huggingface.co/sanchit-gandhi"),l(ne,"rel","nofollow"),l(ae,"href","https://github.com/haoheliu/AudioLDM"),l(ae,"rel","nofollow"),l(R,"id","texttoaudio"),l(R,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(R,"href","#texttoaudio"),l(N,"class","relative group"),l(Me,"href","/docs/diffusers/pr_2813/en/api/pipelines/audioldm#diffusers.AudioLDMPipeline"),l(de,"href","https://huggingface.co/cvssp/audioldm"),l(de,"rel","nofollow"),l(B,"id","tips"),l(B,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(B,"href","#tips"),l(O,"class","relative group"),l(Q,"id","how-to-load-and-use-different-schedulers"),l(Q,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Q,"href","#how-to-load-and-use-different-schedulers"),l(H,"class","relative group"),l(Ee,"href","/docs/diffusers/pr_2813/en/api/schedulers/ddim#diffusers.DDIMScheduler"),l(Le,"href","/docs/diffusers/pr_2813/en/api/schedulers/pndm#diffusers.PNDMScheduler"),l(xe,"href","/docs/diffusers/pr_2813/en/api/schedulers/lms_discrete#diffusers.LMSDiscreteScheduler"),l(ke,"href","/docs/diffusers/pr_2813/en/api/schedulers/euler#diffusers.EulerDiscreteScheduler"),l(Se,"href","/docs/diffusers/pr_2813/en/api/schedulers/euler_ancestral#diffusers.EulerAncestralDiscreteScheduler"),l(Te,"href","/docs/diffusers/pr_2813/en/api/schedulers/multistep_dpm_solver#diffusers.DPMSolverMultistepScheduler"),l(je,"href","/docs/diffusers/pr_2813/en/api/configuration#diffusers.ConfigMixin.from_config"),l(qe,"href","/docs/diffusers/pr_2813/en/api/schedulers/multistep_dpm_solver#diffusers.DPMSolverMultistepScheduler"),l(X,"id","diffusers.AudioLDMPipeline"),l(X,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(X,"href","#diffusers.AudioLDMPipeline"),l(z,"class","relative group"),l(Ce,"href","/docs/diffusers/pr_2813/en/api/diffusion_pipeline#diffusers.DiffusionPipeline"),l(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(m,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,d){e(document.head,g),u(t,F,d),u(t,P,d),e(P,_),e(_,x),D(f,x,null),e(P,k),e(P,Fe),e(Fe,Qt),u(t,vt,d),u(t,I,d),e(I,V),e(V,Ve),D(oe,Ve,null),e(I,Xt),e(I,We),e(We,Yt),u(t,bt,d),u(t,W,d),e(W,Zt),e(W,se),e(se,eo),e(W,to),u(t,wt,d),u(t,L,d),e(L,oo),e(L,re),e(re,so),e(L,ro),e(L,Re),e(Re,io),e(L,no),e(L,ie),e(ie,ao),e(L,lo),u(t,Dt,d),u(t,S,d),e(S,po),e(S,ne),e(ne,co),e(S,uo),e(S,ae),e(ae,fo),e(S,ho),u(t,yt,d),u(t,N,d),e(N,R),e(R,Be),D(le,Be,null),e(N,mo),e(N,Ke),e(Ke,go),u(t,At,d),u(t,T,d),e(T,_o),e(T,Me),e(Me,vo),e(T,bo),e(T,de),e(de,wo),e(T,Do),u(t,Mt,d),D(pe,t,d),u(t,Pt,d),u(t,O,d),e(O,B),e(B,Je),D(ce,Je,null),e(O,yo),e(O,Qe),e(Qe,Ao),u(t,$t,d),u(t,Pe,d),e(Pe,Mo),u(t,Et,d),u(t,K,d),e(K,Xe),e(Xe,Po),e(K,$o),e(K,Ye),e(Ye,Eo),u(t,Lt,d),u(t,$e,d),e($e,Lo),u(t,xt,d),u(t,J,d),e(J,U),e(U,xo),e(U,Ze),e(Ze,ko),e(U,So),e(U,et),e(et,To),e(U,jo),e(J,qo),e(J,G),e(G,Co),e(G,tt),e(tt,Io),e(G,No),e(G,ot),e(ot,Oo),e(G,Uo),u(t,kt,d),u(t,H,d),e(H,Q),e(Q,st),D(ue,st,null),e(H,Go),e(H,rt),e(rt,Ho),u(t,St,d),u(t,h,d),e(h,zo),e(h,Ee),e(Ee,Fo),e(h,Vo),e(h,it),e(it,Wo),e(h,Ro),e(h,Le),e(Le,Bo),e(h,Ko),e(h,xe),e(xe,Jo),e(h,Qo),e(h,ke),e(ke,Xo),e(h,Yo),e(h,Se),e(Se,Zo),e(h,es),e(h,Te),e(Te,ts),e(h,os),u(t,Tt,d),u(t,$,d),e($,ss),e($,je),e(je,rs),e($,is),e($,nt),e(nt,ns),e($,as),e($,at),e(at,ls),e($,ds),e($,qe),e(qe,ps),e($,cs),u(t,jt,d),D(fe,t,d),u(t,qt,d),u(t,z,d),e(z,X),e(X,lt),D(he,lt,null),e(z,us),e(z,dt),e(dt,fs),u(t,Ct,d),u(t,m,d),D(me,m,null),e(m,hs),e(m,pt),e(pt,ms),e(m,gs),e(m,ge),e(ge,_s),e(ge,Ce),e(Ce,vs),e(ge,bs),e(m,ws),e(m,j),D(_e,j,null),e(j,Ds),e(j,ct),e(ct,ys),e(j,As),D(Y,j,null),e(m,Ms),e(m,Z),D(ve,Z,null),e(Z,Ps),e(Z,be),e(be,$s),e(be,ut),e(ut,Es),e(be,Ls),e(m,xs),e(m,ee),D(we,ee,null),e(ee,ks),e(ee,De),e(De,Ss),e(De,ft),e(ft,Ts),e(De,js),e(m,qs),e(m,q),D(ye,q,null),e(q,Cs),e(q,ht),e(ht,Is),e(q,Ns),e(q,mt),e(mt,Os),It=!0},p(t,[d]){const Ae={};d&2&&(Ae.$$scope={dirty:d,ctx:t}),Y.$set(Ae)},i(t){It||(y(f.$$.fragment,t),y(oe.$$.fragment,t),y(le.$$.fragment,t),y(pe.$$.fragment,t),y(ce.$$.fragment,t),y(ue.$$.fragment,t),y(fe.$$.fragment,t),y(he.$$.fragment,t),y(me.$$.fragment,t),y(_e.$$.fragment,t),y(Y.$$.fragment,t),y(ve.$$.fragment,t),y(we.$$.fragment,t),y(ye.$$.fragment,t),It=!0)},o(t){A(f.$$.fragment,t),A(oe.$$.fragment,t),A(le.$$.fragment,t),A(pe.$$.fragment,t),A(ce.$$.fragment,t),A(ue.$$.fragment,t),A(fe.$$.fragment,t),A(he.$$.fragment,t),A(me.$$.fragment,t),A(_e.$$.fragment,t),A(Y.$$.fragment,t),A(ve.$$.fragment,t),A(we.$$.fragment,t),A(ye.$$.fragment,t),It=!1},d(t){o(g),t&&o(F),t&&o(P),M(f),t&&o(vt),t&&o(I),M(oe),t&&o(bt),t&&o(W),t&&o(wt),t&&o(L),t&&o(Dt),t&&o(S),t&&o(yt),t&&o(N),M(le),t&&o(At),t&&o(T),t&&o(Mt),M(pe,t),t&&o(Pt),t&&o(O),M(ce),t&&o($t),t&&o(Pe),t&&o(Et),t&&o(K),t&&o(Lt),t&&o($e),t&&o(xt),t&&o(J),t&&o(kt),t&&o(H),M(ue),t&&o(St),t&&o(h),t&&o(Tt),t&&o($),t&&o(jt),M(fe,t),t&&o(qt),t&&o(z),M(he),t&&o(Ct),t&&o(m),M(me),M(_e),M(Y),M(ve),M(we),M(ye)}}}const Br={local:"audioldm",sections:[{local:"overview",title:"Overview"},{local:"texttoaudio",sections:[{local:"tips",title:"Tips"},{local:"how-to-load-and-use-different-schedulers",title:"How to load and use different schedulers"}],title:"Text-to-Audio"},{local:"diffusers.AudioLDMPipeline",title:"AudioLDMPipeline"}],title:"AudioLDM"};function Kr(_t){return zr(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ei extends Or{constructor(g){super();Ur(this,g,Kr,Rr,Gr,{})}}export{ei as default,Br as metadata};
