import{S as ll,i as pl,s as dl,e as o,k as l,w as h,t as s,M as cl,c as i,d as t,m as p,a,x as _,h as r,b as c,G as e,g,y as b,q as v,o as P,B as I,v as ml,L as Do}from"../../../chunks/vendor-hf-doc-builder.js";import{D as S}from"../../../chunks/Docstring-hf-doc-builder.js";import{C as Fn}from"../../../chunks/CodeBlock-hf-doc-builder.js";import{I as ft}from"../../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Ao}from"../../../chunks/ExampleCodeBlock-hf-doc-builder.js";function fl(N){let u,k,$,f,C;return f=new Fn({props:{code:`import torch
from diffusers import StableUnCLIPPipeline

pipe = StableUnCLIPPipeline.from_pretrained(
    "fusing/stable-unclip-2-1-l", torch_dtype=torch.float16
)  # TODO update model path
pipe = pipe.to("cuda")

prompt = "a photo of an astronaut riding a horse on mars"
images = pipe(prompt).images
images[0].save("astronaut_horse.png")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> StableUnCLIPPipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = StableUnCLIPPipeline.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;fusing/stable-unclip-2-1-l&quot;</span>, torch_dtype=torch.float16
<span class="hljs-meta">... </span>)  <span class="hljs-comment"># TODO update model path</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;a photo of an astronaut riding a horse on mars&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>images = pipe(prompt).images
<span class="hljs-meta">&gt;&gt;&gt; </span>images[<span class="hljs-number">0</span>].save(<span class="hljs-string">&quot;astronaut_horse.png&quot;</span>)`}}),{c(){u=o("p"),k=s("Examples:"),$=l(),h(f.$$.fragment)},l(d){u=i(d,"P",{});var y=a(u);k=r(y,"Examples:"),y.forEach(t),$=p(d),_(f.$$.fragment,d)},m(d,y){g(d,u,y),e(u,k),g(d,$,y),b(f,d,y),C=!0},p:Do,i(d){C||(v(f.$$.fragment,d),C=!0)},o(d){P(f.$$.fragment,d),C=!1},d(d){d&&t(u),d&&t($),I(f,d)}}}function gl(N){let u,k,$,f,C;return f=new Fn({props:{code:`import torch
from diffusers import DiffusionPipeline
from xformers.ops import MemoryEfficientAttentionFlashAttentionOp

pipe = DiffusionPipeline.from_pretrained("stabilityai/stable-diffusion-2-1", torch_dtype=torch.float16)
pipe = pipe.to("cuda")
pipe.enable_xformers_memory_efficient_attention(attention_op=MemoryEfficientAttentionFlashAttentionOp)
# Workaround for not accepting attention shape using VAE for Flash Attention
pipe.vae.enable_xformers_memory_efficient_attention(attention_op=None)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> DiffusionPipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> xformers.ops <span class="hljs-keyword">import</span> MemoryEfficientAttentionFlashAttentionOp

<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = DiffusionPipeline.from_pretrained(<span class="hljs-string">&quot;stabilityai/stable-diffusion-2-1&quot;</span>, torch_dtype=torch.float16)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe.enable_xformers_memory_efficient_attention(attention_op=MemoryEfficientAttentionFlashAttentionOp)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Workaround for not accepting attention shape using VAE for Flash Attention</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe.vae.enable_xformers_memory_efficient_attention(attention_op=<span class="hljs-literal">None</span>)`}}),{c(){u=o("p"),k=s("Examples:"),$=l(),h(f.$$.fragment)},l(d){u=i(d,"P",{});var y=a(u);k=r(y,"Examples:"),y.forEach(t),$=p(d),_(f.$$.fragment,d)},m(d,y){g(d,u,y),e(u,k),g(d,$,y),b(f,d,y),C=!0},p:Do,i(d){C||(v(f.$$.fragment,d),C=!0)},o(d){P(f.$$.fragment,d),C=!1},d(d){d&&t(u),d&&t($),I(f,d)}}}function ul(N){let u,k,$,f,C;return f=new Fn({props:{code:`import requests
import torch
from PIL import Image
from io import BytesIO

from diffusers import StableUnCLIPImg2ImgPipeline

pipe = StableUnCLIPImg2ImgPipeline.from_pretrained(
    "fusing/stable-unclip-2-1-l-img2img", torch_dtype=torch.float16
)  # TODO update model path
pipe = pipe.to("cuda")

url = "https://raw.githubusercontent.com/CompVis/stable-diffusion/main/assets/stable-samples/img2img/sketch-mountains-input.jpg"

response = requests.get(url)
init_image = Image.open(BytesIO(response.content)).convert("RGB")
init_image = init_image.resize((768, 512))

prompt = "A fantasy landscape, trending on artstation"

images = pipe(prompt, init_image).images
images[0].save("fantasy_landscape.png")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> io <span class="hljs-keyword">import</span> BytesIO

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> StableUnCLIPImg2ImgPipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = StableUnCLIPImg2ImgPipeline.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;fusing/stable-unclip-2-1-l-img2img&quot;</span>, torch_dtype=torch.float16
<span class="hljs-meta">... </span>)  <span class="hljs-comment"># TODO update model path</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;https://raw.githubusercontent.com/CompVis/stable-diffusion/main/assets/stable-samples/img2img/sketch-mountains-input.jpg&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>response = requests.get(url)
<span class="hljs-meta">&gt;&gt;&gt; </span>init_image = Image.<span class="hljs-built_in">open</span>(BytesIO(response.content)).convert(<span class="hljs-string">&quot;RGB&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>init_image = init_image.resize((<span class="hljs-number">768</span>, <span class="hljs-number">512</span>))

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;A fantasy landscape, trending on artstation&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>images = pipe(prompt, init_image).images
<span class="hljs-meta">&gt;&gt;&gt; </span>images[<span class="hljs-number">0</span>].save(<span class="hljs-string">&quot;fantasy_landscape.png&quot;</span>)`}}),{c(){u=o("p"),k=s("Examples:"),$=l(),h(f.$$.fragment)},l(d){u=i(d,"P",{});var y=a(u);k=r(y,"Examples:"),y.forEach(t),$=p(d),_(f.$$.fragment,d)},m(d,y){g(d,u,y),e(u,k),g(d,$,y),b(f,d,y),C=!0},p:Do,i(d){C||(v(f.$$.fragment,d),C=!0)},o(d){P(f.$$.fragment,d),C=!1},d(d){d&&t(u),d&&t($),I(f,d)}}}function hl(N){let u,k,$,f,C;return f=new Fn({props:{code:`import torch
from diffusers import DiffusionPipeline
from xformers.ops import MemoryEfficientAttentionFlashAttentionOp

pipe = DiffusionPipeline.from_pretrained("stabilityai/stable-diffusion-2-1", torch_dtype=torch.float16)
pipe = pipe.to("cuda")
pipe.enable_xformers_memory_efficient_attention(attention_op=MemoryEfficientAttentionFlashAttentionOp)
# Workaround for not accepting attention shape using VAE for Flash Attention
pipe.vae.enable_xformers_memory_efficient_attention(attention_op=None)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> DiffusionPipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> xformers.ops <span class="hljs-keyword">import</span> MemoryEfficientAttentionFlashAttentionOp

<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = DiffusionPipeline.from_pretrained(<span class="hljs-string">&quot;stabilityai/stable-diffusion-2-1&quot;</span>, torch_dtype=torch.float16)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe.enable_xformers_memory_efficient_attention(attention_op=MemoryEfficientAttentionFlashAttentionOp)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Workaround for not accepting attention shape using VAE for Flash Attention</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe.vae.enable_xformers_memory_efficient_attention(attention_op=<span class="hljs-literal">None</span>)`}}),{c(){u=o("p"),k=s("Examples:"),$=l(),h(f.$$.fragment)},l(d){u=i(d,"P",{});var y=a(u);k=r(y,"Examples:"),y.forEach(t),$=p(d),_(f.$$.fragment,d)},m(d,y){g(d,u,y),e(u,k),g(d,$,y),b(f,d,y),C=!0},p:Do,i(d){C||(v(f.$$.fragment,d),C=!0)},o(d){P(f.$$.fragment,d),C=!1},d(d){d&&t(u),d&&t($),I(f,d)}}}function _l(N){let u,k,$,f,C,d,y,kt,jo,Vn,ne,Oo,gt,qo,No,Mn,ut,zo,Gn,ye,$e,Fo,Vo,Wn,R,oe,St,we,Mo,Ut,Go,Bn,A,Wo,Tt,Bo,Ko,At,Ho,Ro,Dt,Jo,Qo,jt,Xo,Yo,Kn,J,ie,Ot,xe,Zo,qt,ei,Hn,ae,ht,ti,Ce,Nt,Le,ni,oi,zt,Ee,ii,ai,_t,si,Ft,Vt,ri,Rn,Q,se,Mt,ke,li,Gt,pi,Jn,bt,di,Qn,X,re,Wt,Se,ci,Bt,mi,Xn,Ue,Yn,Y,le,Kt,Te,fi,Ht,gi,Zn,w,Ae,ui,Rt,hi,_i,De,bi,vt,vi,Pi,Ii,z,je,yi,Jt,$i,wi,pe,xi,F,Oe,Ci,Qt,Li,Ei,Xt,ki,Si,de,qe,Ui,Ne,Ti,Yt,Ai,Di,ji,V,ze,Oi,Zt,qi,Ni,en,zi,Fi,ce,Fe,Vi,Ve,Mi,tn,Gi,Wi,Bi,D,Me,Ki,nn,Hi,Ri,on,Ji,Qi,an,Xi,Yi,me,Zi,fe,Ge,ea,sn,ta,na,ge,We,oa,Be,ia,rn,aa,sa,ra,U,Ke,la,Z,pa,ln,da,ca,pn,ma,fa,ga,dn,ua,ha,He,cn,_a,ba,mn,va,Pa,Re,Ia,fn,ya,$a,wa,gn,xa,eo,ee,ue,un,Je,Ca,hn,La,to,x,Qe,Ea,_n,ka,Sa,Xe,Ua,Pt,Ta,Aa,Da,M,Ye,ja,bn,Oa,qa,he,Na,G,Ze,za,vn,Fa,Va,Pn,Ma,Ga,_e,et,Wa,tt,Ba,In,Ka,Ha,Ra,W,nt,Ja,yn,Qa,Xa,$n,Ya,Za,be,ot,es,it,ts,wn,ns,os,is,j,at,as,xn,ss,rs,Cn,ls,ps,Ln,ds,cs,ve,ms,Pe,st,fs,En,gs,us,Ie,rt,hs,lt,_s,kn,bs,vs,Ps,T,pt,Is,te,ys,Sn,$s,ws,Un,xs,Cs,Ls,Tn,Es,ks,dt,An,Ss,Us,Dn,Ts,As,ct,Ds,jn,js,Os,qs,On,Ns,no;return d=new ft({}),we=new ft({}),xe=new ft({}),ke=new ft({}),Se=new ft({}),Ue=new Fn({props:{code:`import requests
import torch
from PIL import Image
from io import BytesIO

from diffusers import StableUnCLIPImg2ImgPipeline

pipe = StableUnCLIPImg2ImgPipeline.from_pretrained(
    "stabilityai/stable-diffusion-2-1-unclip", torch_dtype=torch.float16
)
pipe = pipe.to("cuda")

url = "https://raw.githubusercontent.com/CompVis/stable-diffusion/main/assets/stable-samples/img2img/sketch-mountains-input.jpg"

response = requests.get(url)
init_image = Image.open(BytesIO(response.content)).convert("RGB")
init_image = init_image.resize((768, 512))

prompt = "A fantasy landscape, trending on artstation"

images = pipe(prompt, init_image).images
images[0].save("fantasy_landscape.png")`,highlighted:`<span class="hljs-keyword">import</span> requests
<span class="hljs-keyword">import</span> torch
<span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-keyword">from</span> io <span class="hljs-keyword">import</span> BytesIO

<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> StableUnCLIPImg2ImgPipeline

pipe = StableUnCLIPImg2ImgPipeline.from_pretrained(
    <span class="hljs-string">&quot;stabilityai/stable-diffusion-2-1-unclip&quot;</span>, torch_dtype=torch.float16
)
pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)

url = <span class="hljs-string">&quot;https://raw.githubusercontent.com/CompVis/stable-diffusion/main/assets/stable-samples/img2img/sketch-mountains-input.jpg&quot;</span>

response = requests.get(url)
init_image = Image.<span class="hljs-built_in">open</span>(BytesIO(response.content)).convert(<span class="hljs-string">&quot;RGB&quot;</span>)
init_image = init_image.resize((<span class="hljs-number">768</span>, <span class="hljs-number">512</span>))

prompt = <span class="hljs-string">&quot;A fantasy landscape, trending on artstation&quot;</span>

images = pipe(prompt, init_image).images
images[<span class="hljs-number">0</span>].save(<span class="hljs-string">&quot;fantasy_landscape.png&quot;</span>)`}}),Te=new ft({}),Ae=new S({props:{name:"class diffusers.StableUnCLIPPipeline",anchor:"diffusers.StableUnCLIPPipeline",parameters:[{name:"prior_tokenizer",val:": CLIPTokenizer"},{name:"prior_text_encoder",val:": CLIPTextModelWithProjection"},{name:"prior",val:": PriorTransformer"},{name:"prior_scheduler",val:": KarrasDiffusionSchedulers"},{name:"image_normalizer",val:": StableUnCLIPImageNormalizer"},{name:"image_noising_scheduler",val:": KarrasDiffusionSchedulers"},{name:"tokenizer",val:": CLIPTokenizer"},{name:"text_encoder",val:": CLIPTextModelWithProjection"},{name:"unet",val:": UNet2DConditionModel"},{name:"scheduler",val:": KarrasDiffusionSchedulers"},{name:"vae",val:": AutoencoderKL"}],parametersDescription:[{anchor:"diffusers.StableUnCLIPPipeline.prior_tokenizer",description:`<strong>prior_tokenizer</strong> (<code>CLIPTokenizer</code>) &#x2014;
Tokenizer of class
<a href="https://huggingface.co/docs/transformers/v4.21.0/en/model_doc/clip#transformers.CLIPTokenizer" rel="nofollow">CLIPTokenizer</a>.`,name:"prior_tokenizer"},{anchor:"diffusers.StableUnCLIPPipeline.prior_text_encoder",description:`<strong>prior_text_encoder</strong> (<code>CLIPTextModelWithProjection</code>) &#x2014;
Frozen text-encoder.`,name:"prior_text_encoder"},{anchor:"diffusers.StableUnCLIPPipeline.prior",description:`<strong>prior</strong> (<a href="/docs/diffusers/pr_2813/en/api/models#diffusers.PriorTransformer">PriorTransformer</a>) &#x2014;
The canonincal unCLIP prior to approximate the image embedding from the text embedding.`,name:"prior"},{anchor:"diffusers.StableUnCLIPPipeline.prior_scheduler",description:`<strong>prior_scheduler</strong> (<code>KarrasDiffusionSchedulers</code>) &#x2014;
Scheduler used in the prior denoising process.`,name:"prior_scheduler"},{anchor:"diffusers.StableUnCLIPPipeline.image_normalizer",description:`<strong>image_normalizer</strong> (<code>StableUnCLIPImageNormalizer</code>) &#x2014;
Used to normalize the predicted image embeddings before the noise is applied and un-normalize the image
embeddings after the noise has been applied.`,name:"image_normalizer"},{anchor:"diffusers.StableUnCLIPPipeline.image_noising_scheduler",description:`<strong>image_noising_scheduler</strong> (<code>KarrasDiffusionSchedulers</code>) &#x2014;
Noise schedule for adding noise to the predicted image embeddings. The amount of noise to add is determined
by <code>noise_level</code> in <code>StableUnCLIPPipeline.__call__</code>.`,name:"image_noising_scheduler"},{anchor:"diffusers.StableUnCLIPPipeline.tokenizer",description:`<strong>tokenizer</strong> (<code>CLIPTokenizer</code>) &#x2014;
Tokenizer of class
<a href="https://huggingface.co/docs/transformers/v4.21.0/en/model_doc/clip#transformers.CLIPTokenizer" rel="nofollow">CLIPTokenizer</a>.`,name:"tokenizer"},{anchor:"diffusers.StableUnCLIPPipeline.text_encoder",description:`<strong>text_encoder</strong> (<code>CLIPTextModel</code>) &#x2014;
Frozen text-encoder.`,name:"text_encoder"},{anchor:"diffusers.StableUnCLIPPipeline.unet",description:'<strong>unet</strong> (<a href="/docs/diffusers/pr_2813/en/api/models#diffusers.UNet2DConditionModel">UNet2DConditionModel</a>) &#x2014; Conditional U-Net architecture to denoise the encoded image latents.',name:"unet"},{anchor:"diffusers.StableUnCLIPPipeline.scheduler",description:`<strong>scheduler</strong> (<code>KarrasDiffusionSchedulers</code>) &#x2014;
A scheduler to be used in combination with <code>unet</code> to denoise the encoded image latents.`,name:"scheduler"},{anchor:"diffusers.StableUnCLIPPipeline.vae",description:`<strong>vae</strong> (<a href="/docs/diffusers/pr_2813/en/api/models#diffusers.AutoencoderKL">AutoencoderKL</a>) &#x2014;
Variational Auto-Encoder (VAE) Model to encode and decode images to and from latent representations.`,name:"vae"}],source:"https://github.com/huggingface/diffusers/blob/vr_2813/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip.py#L50"}}),je=new S({props:{name:"__call__",anchor:"diffusers.StableUnCLIPPipeline.__call__",parameters:[{name:"prompt",val:": typing.Union[str, typing.List[str], NoneType] = None"},{name:"height",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"num_inference_steps",val:": int = 20"},{name:"guidance_scale",val:": float = 10.0"},{name:"negative_prompt",val:": typing.Union[str, typing.List[str], NoneType] = None"},{name:"num_images_per_prompt",val:": typing.Optional[int] = 1"},{name:"eta",val:": float = 0.0"},{name:"generator",val:": typing.Optional[torch._C.Generator] = None"},{name:"latents",val:": typing.Optional[torch.FloatTensor] = None"},{name:"prompt_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"negative_prompt_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_type",val:": typing.Optional[str] = 'pil'"},{name:"return_dict",val:": bool = True"},{name:"callback",val:": typing.Union[typing.Callable[[int, int, torch.FloatTensor], NoneType], NoneType] = None"},{name:"callback_steps",val:": int = 1"},{name:"cross_attention_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"noise_level",val:": int = 0"},{name:"prior_num_inference_steps",val:": int = 25"},{name:"prior_guidance_scale",val:": float = 4.0"},{name:"prior_latents",val:": typing.Optional[torch.FloatTensor] = None"}],parametersDescription:[{anchor:"diffusers.StableUnCLIPPipeline.__call__.prompt",description:`<strong>prompt</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
The prompt or prompts to guide the image generation. If not defined, one has to pass <code>prompt_embeds</code>.
instead.`,name:"prompt"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.height",description:`<strong>height</strong> (<code>int</code>, <em>optional</em>, defaults to self.unet.config.sample_size * self.vae_scale_factor) &#x2014;
The height in pixels of the generated image.`,name:"height"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.width",description:`<strong>width</strong> (<code>int</code>, <em>optional</em>, defaults to self.unet.config.sample_size * self.vae_scale_factor) &#x2014;
The width in pixels of the generated image.`,name:"width"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 20) &#x2014;
The number of denoising steps. More denoising steps usually lead to a higher quality image at the
expense of slower inference.`,name:"num_inference_steps"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.guidance_scale",description:`<strong>guidance_scale</strong> (<code>float</code>, <em>optional</em>, defaults to 10.0) &#x2014;
Guidance scale as defined in <a href="https://arxiv.org/abs/2207.12598" rel="nofollow">Classifier-Free Diffusion Guidance</a>.
<code>guidance_scale</code> is defined as <code>w</code> of equation 2. of <a href="https://arxiv.org/pdf/2205.11487.pdf" rel="nofollow">Imagen
Paper</a>. Guidance scale is enabled by setting <code>guidance_scale &gt; 1</code>. Higher guidance scale encourages to generate images that are closely linked to the text <code>prompt</code>,
usually at the expense of lower image quality.`,name:"guidance_scale"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.negative_prompt",description:`<strong>negative_prompt</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
The prompt or prompts not to guide the image generation. If not defined, one has to pass
<code>negative_prompt_embeds</code>. instead. If not defined, one has to pass <code>negative_prompt_embeds</code>. instead.
Ignored when not using guidance (i.e., ignored if <code>guidance_scale</code> is less than <code>1</code>).`,name:"negative_prompt"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.num_images_per_prompt",description:`<strong>num_images_per_prompt</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The number of images to generate per prompt.`,name:"num_images_per_prompt"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.eta",description:`<strong>eta</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
Corresponds to parameter eta (&#x3B7;) in the DDIM paper: <a href="https://arxiv.org/abs/2010.02502" rel="nofollow">https://arxiv.org/abs/2010.02502</a>. Only applies to
<a href="/docs/diffusers/pr_2813/en/api/schedulers/ddim#diffusers.DDIMScheduler">schedulers.DDIMScheduler</a>, will be ignored for others.`,name:"eta"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.generator",description:`<strong>generator</strong> (<code>torch.Generator</code> or <code>List[torch.Generator]</code>, <em>optional</em>) &#x2014;
One or a list of <a href="https://pytorch.org/docs/stable/generated/torch.Generator.html" rel="nofollow">torch generator(s)</a>
to make generation deterministic.`,name:"generator"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.latents",description:`<strong>latents</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated noisy latents, sampled from a Gaussian distribution, to be used as inputs for image
generation. Can be used to tweak the same generation with different prompts. If not provided, a latents
tensor will ge generated by sampling using the supplied random <code>generator</code>.`,name:"latents"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.prompt_embeds",description:`<strong>prompt_embeds</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated text embeddings. Can be used to easily tweak text inputs, <em>e.g.</em> prompt weighting. If not
provided, text embeddings will be generated from <code>prompt</code> input argument.`,name:"prompt_embeds"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.negative_prompt_embeds",description:`<strong>negative_prompt_embeds</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated negative text embeddings. Can be used to easily tweak text inputs, <em>e.g.</em> prompt
weighting. If not provided, negative_prompt_embeds will be generated from <code>negative_prompt</code> input
argument.`,name:"negative_prompt_embeds"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.output_type",description:`<strong>output_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pil&quot;</code>) &#x2014;
The output format of the generate image. Choose between
<a href="https://pillow.readthedocs.io/en/stable/" rel="nofollow">PIL</a>: <code>PIL.Image.Image</code> or <code>np.array</code>.`,name:"output_type"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/pr_2813/en/api/pipelines/stable_diffusion/overview#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput">StableDiffusionPipelineOutput</a> instead of a
plain tuple.`,name:"return_dict"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.callback",description:`<strong>callback</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
A function that will be called every <code>callback_steps</code> steps during inference. The function will be
called with the following arguments: <code>callback(step: int, timestep: int, latents: torch.FloatTensor)</code>.`,name:"callback"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.callback_steps",description:`<strong>callback_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The frequency at which the <code>callback</code> function will be called. If not specified, the callback will be
called at every step.`,name:"callback_steps"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.cross_attention_kwargs",description:`<strong>cross_attention_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
A kwargs dictionary that if specified is passed along to the <code>AttentionProcessor</code> as defined under
<code>self.processor</code> in
<a href="https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/cross_attention.py" rel="nofollow">diffusers.cross_attention</a>.`,name:"cross_attention_kwargs"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.noise_level",description:`<strong>noise_level</strong> (<code>int</code>, <em>optional</em>, defaults to <code>0</code>) &#x2014;
The amount of noise to add to the image embeddings. A higher <code>noise_level</code> increases the variance in
the final un-noised images. See <code>StableUnCLIPPipeline.noise_image_embeddings</code> for details.`,name:"noise_level"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.prior_num_inference_steps",description:`<strong>prior_num_inference_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 25) &#x2014;
The number of denoising steps in the prior denoising process. More denoising steps usually lead to a
higher quality image at the expense of slower inference.`,name:"prior_num_inference_steps"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.prior_guidance_scale",description:`<strong>prior_guidance_scale</strong> (<code>float</code>, <em>optional</em>, defaults to 4.0) &#x2014;
Guidance scale for the prior denoising process as defined in <a href="https://arxiv.org/abs/2207.12598" rel="nofollow">Classifier-Free Diffusion
Guidance</a>. <code>prior_guidance_scale</code> is defined as <code>w</code> of equation 2. of
<a href="https://arxiv.org/pdf/2205.11487.pdf" rel="nofollow">Imagen Paper</a>. Guidance scale is enabled by setting
<code>guidance_scale &gt; 1</code>. Higher guidance scale encourages to generate images that are closely linked to
the text <code>prompt</code>, usually at the expense of lower image quality.`,name:"prior_guidance_scale"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.prior_latents",description:`<strong>prior_latents</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated noisy latents, sampled from a Gaussian distribution, to be used as inputs for image
embedding generation in the prior denoising process. Can be used to tweak the same generation with
different prompts. If not provided, a latents tensor will ge generated by sampling using the supplied
random <code>generator</code>.`,name:"prior_latents"}],source:"https://github.com/huggingface/diffusers/blob/vr_2813/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip.py#L603",returnDescription:`
<p><code>~ pipeline_utils.ImagePipelineOutput</code> if <code>return_dict</code> is
True, otherwise a <code>tuple</code>. When returning a tuple, the first element is a list with the generated images.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/pr_2813/en/api/diffusion_pipeline#diffusers.ImagePipelineOutput"
>ImagePipelineOutput</a> or <code>tuple</code></p>
`}}),pe=new Ao({props:{anchor:"diffusers.StableUnCLIPPipeline.__call__.example",$$slots:{default:[fl]},$$scope:{ctx:N}}}),Oe=new S({props:{name:"enable_attention_slicing",anchor:"diffusers.StableUnCLIPPipeline.enable_attention_slicing",parameters:[{name:"slice_size",val:": typing.Union[str, int, NoneType] = 'auto'"}],parametersDescription:[{anchor:"diffusers.StableUnCLIPPipeline.enable_attention_slicing.slice_size",description:`<strong>slice_size</strong> (<code>str</code> or <code>int</code>, <em>optional</em>, defaults to <code>&quot;auto&quot;</code>) &#x2014;
When <code>&quot;auto&quot;</code>, halves the input to the attention heads, so attention will be computed in two steps. If
<code>&quot;max&quot;</code>, maximum amount of memory will be saved by running only one slice at a time. If a number is
provided, uses as many slices as <code>attention_head_dim // slice_size</code>. In this case, <code>attention_head_dim</code>
must be a multiple of <code>slice_size</code>.`,name:"slice_size"}],source:"https://github.com/huggingface/diffusers/blob/vr_2813/src/diffusers/pipelines/pipeline_utils.py#L1349"}}),qe=new S({props:{name:"disable_attention_slicing",anchor:"diffusers.StableUnCLIPPipeline.disable_attention_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2813/src/diffusers/pipelines/pipeline_utils.py#L1365"}}),ze=new S({props:{name:"enable_vae_slicing",anchor:"diffusers.StableUnCLIPPipeline.enable_vae_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2813/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip.py#L140"}}),Fe=new S({props:{name:"disable_vae_slicing",anchor:"diffusers.StableUnCLIPPipeline.disable_vae_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2813/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip.py#L150"}}),Me=new S({props:{name:"enable_xformers_memory_efficient_attention",anchor:"diffusers.StableUnCLIPPipeline.enable_xformers_memory_efficient_attention",parameters:[{name:"attention_op",val:": typing.Optional[typing.Callable] = None"}],parametersDescription:[{anchor:"diffusers.StableUnCLIPPipeline.enable_xformers_memory_efficient_attention.attention_op",description:`<strong>attention_op</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
Override the default <code>None</code> operator for use as <code>op</code> argument to the
<a href="https://facebookresearch.github.io/xformers/components/ops.html#xformers.ops.memory_efficient_attention" rel="nofollow"><code>memory_efficient_attention()</code></a>
function of xFormers.`,name:"attention_op"}],source:"https://github.com/huggingface/diffusers/blob/vr_2813/src/diffusers/pipelines/pipeline_utils.py#L1292"}}),me=new Ao({props:{anchor:"diffusers.StableUnCLIPPipeline.enable_xformers_memory_efficient_attention.example",$$slots:{default:[gl]},$$scope:{ctx:N}}}),Ge=new S({props:{name:"disable_xformers_memory_efficient_attention",anchor:"diffusers.StableUnCLIPPipeline.disable_xformers_memory_efficient_attention",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2813/src/diffusers/pipelines/pipeline_utils.py#L1324"}}),We=new S({props:{name:"enable_sequential_cpu_offload",anchor:"diffusers.StableUnCLIPPipeline.enable_sequential_cpu_offload",parameters:[{name:"gpu_id",val:" = 0"}],source:"https://github.com/huggingface/diffusers/blob/vr_2813/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip.py#L157"}}),Ke=new S({props:{name:"noise_image_embeddings",anchor:"diffusers.StableUnCLIPPipeline.noise_image_embeddings",parameters:[{name:"image_embeds",val:": Tensor"},{name:"noise_level",val:": int"},{name:"noise",val:": typing.Optional[torch.FloatTensor] = None"},{name:"generator",val:": typing.Optional[torch._C.Generator] = None"}],source:"https://github.com/huggingface/diffusers/blob/vr_2813/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip.py#L558"}}),Je=new ft({}),Qe=new S({props:{name:"class diffusers.StableUnCLIPImg2ImgPipeline",anchor:"diffusers.StableUnCLIPImg2ImgPipeline",parameters:[{name:"feature_extractor",val:": CLIPImageProcessor"},{name:"image_encoder",val:": CLIPVisionModelWithProjection"},{name:"image_normalizer",val:": StableUnCLIPImageNormalizer"},{name:"image_noising_scheduler",val:": KarrasDiffusionSchedulers"},{name:"tokenizer",val:": CLIPTokenizer"},{name:"text_encoder",val:": CLIPTextModel"},{name:"unet",val:": UNet2DConditionModel"},{name:"scheduler",val:": KarrasDiffusionSchedulers"},{name:"vae",val:": AutoencoderKL"}],parametersDescription:[{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.feature_extractor",description:`<strong>feature_extractor</strong> (<code>CLIPImageProcessor</code>) &#x2014;
Feature extractor for image pre-processing before being encoded.`,name:"feature_extractor"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.image_encoder",description:`<strong>image_encoder</strong> (<code>CLIPVisionModelWithProjection</code>) &#x2014;
CLIP vision model for encoding images.`,name:"image_encoder"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.image_normalizer",description:`<strong>image_normalizer</strong> (<code>StableUnCLIPImageNormalizer</code>) &#x2014;
Used to normalize the predicted image embeddings before the noise is applied and un-normalize the image
embeddings after the noise has been applied.`,name:"image_normalizer"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.image_noising_scheduler",description:`<strong>image_noising_scheduler</strong> (<code>KarrasDiffusionSchedulers</code>) &#x2014;
Noise schedule for adding noise to the predicted image embeddings. The amount of noise to add is determined
by <code>noise_level</code> in <code>StableUnCLIPPipeline.__call__</code>.`,name:"image_noising_scheduler"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.tokenizer",description:`<strong>tokenizer</strong> (<code>CLIPTokenizer</code>) &#x2014;
Tokenizer of class
<a href="https://huggingface.co/docs/transformers/v4.21.0/en/model_doc/clip#transformers.CLIPTokenizer" rel="nofollow">CLIPTokenizer</a>.`,name:"tokenizer"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.text_encoder",description:`<strong>text_encoder</strong> (<code>CLIPTextModel</code>) &#x2014;
Frozen text-encoder.`,name:"text_encoder"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.unet",description:'<strong>unet</strong> (<a href="/docs/diffusers/pr_2813/en/api/models#diffusers.UNet2DConditionModel">UNet2DConditionModel</a>) &#x2014; Conditional U-Net architecture to denoise the encoded image latents.',name:"unet"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.scheduler",description:`<strong>scheduler</strong> (<code>KarrasDiffusionSchedulers</code>) &#x2014;
A scheduler to be used in combination with <code>unet</code> to denoise the encoded image latents.`,name:"scheduler"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.vae",description:`<strong>vae</strong> (<a href="/docs/diffusers/pr_2813/en/api/models#diffusers.AutoencoderKL">AutoencoderKL</a>) &#x2014;
Variational Auto-Encoder (VAE) Model to encode and decode images to and from latent representations.`,name:"vae"}],source:"https://github.com/huggingface/diffusers/blob/vr_2813/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip_img2img.py#L63"}}),Ye=new S({props:{name:"__call__",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__",parameters:[{name:"prompt",val:": typing.Union[str, typing.List[str]] = None"},{name:"image",val:": typing.Union[torch.FloatTensor, PIL.Image.Image] = None"},{name:"height",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"num_inference_steps",val:": int = 20"},{name:"guidance_scale",val:": float = 10"},{name:"negative_prompt",val:": typing.Union[str, typing.List[str], NoneType] = None"},{name:"num_images_per_prompt",val:": typing.Optional[int] = 1"},{name:"eta",val:": float = 0.0"},{name:"generator",val:": typing.Optional[torch._C.Generator] = None"},{name:"latents",val:": typing.Optional[torch.FloatTensor] = None"},{name:"prompt_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"negative_prompt_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_type",val:": typing.Optional[str] = 'pil'"},{name:"return_dict",val:": bool = True"},{name:"callback",val:": typing.Union[typing.Callable[[int, int, torch.FloatTensor], NoneType], NoneType] = None"},{name:"callback_steps",val:": int = 1"},{name:"cross_attention_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"noise_level",val:": int = 0"},{name:"image_embeds",val:": typing.Optional[torch.FloatTensor] = None"}],parametersDescription:[{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.prompt",description:`<strong>prompt</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
The prompt or prompts to guide the image generation. If not defined, one has to pass <code>prompt_embeds</code>.
instead.`,name:"prompt"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.image",description:`<strong>image</strong> (<code>torch.FloatTensor</code> or <code>PIL.Image.Image</code>) &#x2014;
<code>Image</code>, or tensor representing an image batch. The image will be encoded to its CLIP embedding which
the unet will be conditioned on. Note that the image is <em>not</em> encoded by the vae and then used as the
latents in the denoising process such as in the standard stable diffusion text guided image variation
process.`,name:"image"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.height",description:`<strong>height</strong> (<code>int</code>, <em>optional</em>, defaults to self.unet.config.sample_size * self.vae_scale_factor) &#x2014;
The height in pixels of the generated image.`,name:"height"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.width",description:`<strong>width</strong> (<code>int</code>, <em>optional</em>, defaults to self.unet.config.sample_size * self.vae_scale_factor) &#x2014;
The width in pixels of the generated image.`,name:"width"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 20) &#x2014;
The number of denoising steps. More denoising steps usually lead to a higher quality image at the
expense of slower inference.`,name:"num_inference_steps"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.guidance_scale",description:`<strong>guidance_scale</strong> (<code>float</code>, <em>optional</em>, defaults to 10.0) &#x2014;
Guidance scale as defined in <a href="https://arxiv.org/abs/2207.12598" rel="nofollow">Classifier-Free Diffusion Guidance</a>.
<code>guidance_scale</code> is defined as <code>w</code> of equation 2. of <a href="https://arxiv.org/pdf/2205.11487.pdf" rel="nofollow">Imagen
Paper</a>. Guidance scale is enabled by setting <code>guidance_scale &gt; 1</code>. Higher guidance scale encourages to generate images that are closely linked to the text <code>prompt</code>,
usually at the expense of lower image quality.`,name:"guidance_scale"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.negative_prompt",description:`<strong>negative_prompt</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
The prompt or prompts not to guide the image generation. If not defined, one has to pass
<code>negative_prompt_embeds</code>. instead. If not defined, one has to pass <code>negative_prompt_embeds</code>. instead.
Ignored when not using guidance (i.e., ignored if <code>guidance_scale</code> is less than <code>1</code>).`,name:"negative_prompt"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.num_images_per_prompt",description:`<strong>num_images_per_prompt</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The number of images to generate per prompt.`,name:"num_images_per_prompt"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.eta",description:`<strong>eta</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
Corresponds to parameter eta (&#x3B7;) in the DDIM paper: <a href="https://arxiv.org/abs/2010.02502" rel="nofollow">https://arxiv.org/abs/2010.02502</a>. Only applies to
<a href="/docs/diffusers/pr_2813/en/api/schedulers/ddim#diffusers.DDIMScheduler">schedulers.DDIMScheduler</a>, will be ignored for others.`,name:"eta"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.generator",description:`<strong>generator</strong> (<code>torch.Generator</code> or <code>List[torch.Generator]</code>, <em>optional</em>) &#x2014;
One or a list of <a href="https://pytorch.org/docs/stable/generated/torch.Generator.html" rel="nofollow">torch generator(s)</a>
to make generation deterministic.`,name:"generator"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.latents",description:`<strong>latents</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated noisy latents, sampled from a Gaussian distribution, to be used as inputs for image
generation. Can be used to tweak the same generation with different prompts. If not provided, a latents
tensor will ge generated by sampling using the supplied random <code>generator</code>.`,name:"latents"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.prompt_embeds",description:`<strong>prompt_embeds</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated text embeddings. Can be used to easily tweak text inputs, <em>e.g.</em> prompt weighting. If not
provided, text embeddings will be generated from <code>prompt</code> input argument.`,name:"prompt_embeds"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.negative_prompt_embeds",description:`<strong>negative_prompt_embeds</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated negative text embeddings. Can be used to easily tweak text inputs, <em>e.g.</em> prompt
weighting. If not provided, negative_prompt_embeds will be generated from <code>negative_prompt</code> input
argument.`,name:"negative_prompt_embeds"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.output_type",description:`<strong>output_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pil&quot;</code>) &#x2014;
The output format of the generate image. Choose between
<a href="https://pillow.readthedocs.io/en/stable/" rel="nofollow">PIL</a>: <code>PIL.Image.Image</code> or <code>np.array</code>.`,name:"output_type"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/pr_2813/en/api/pipelines/stable_diffusion/overview#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput">StableDiffusionPipelineOutput</a> instead of a
plain tuple.`,name:"return_dict"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.callback",description:`<strong>callback</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
A function that will be called every <code>callback_steps</code> steps during inference. The function will be
called with the following arguments: <code>callback(step: int, timestep: int, latents: torch.FloatTensor)</code>.`,name:"callback"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.callback_steps",description:`<strong>callback_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The frequency at which the <code>callback</code> function will be called. If not specified, the callback will be
called at every step.`,name:"callback_steps"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.cross_attention_kwargs",description:`<strong>cross_attention_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
A kwargs dictionary that if specified is passed along to the <code>AttentionProcessor</code> as defined under
<code>self.processor</code> in
<a href="https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/cross_attention.py" rel="nofollow">diffusers.cross_attention</a>.`,name:"cross_attention_kwargs"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.noise_level",description:`<strong>noise_level</strong> (<code>int</code>, <em>optional</em>, defaults to <code>0</code>) &#x2014;
The amount of noise to add to the image embeddings. A higher <code>noise_level</code> increases the variance in
the final un-noised images. See <code>StableUnCLIPPipeline.noise_image_embeddings</code> for details.`,name:"noise_level"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.image_embeds",description:`<strong>image_embeds</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated CLIP embeddings to condition the unet on. Note that these are not latents to be used in
the denoising process. If you want to provide pre-generated latents, pass them to <code>__call__</code> as
<code>latents</code>.`,name:"image_embeds"}],source:"https://github.com/huggingface/diffusers/blob/vr_2813/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip_img2img.py#L570",returnDescription:`
<p><code>~ pipeline_utils.ImagePipelineOutput</code> if <code>return_dict</code> is
True, otherwise a <code>tuple</code>. When returning a tuple, the first element is a list with the generated images.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/pr_2813/en/api/diffusion_pipeline#diffusers.ImagePipelineOutput"
>ImagePipelineOutput</a> or <code>tuple</code></p>
`}}),he=new Ao({props:{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.example",$$slots:{default:[ul]},$$scope:{ctx:N}}}),Ze=new S({props:{name:"enable_attention_slicing",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.enable_attention_slicing",parameters:[{name:"slice_size",val:": typing.Union[str, int, NoneType] = 'auto'"}],parametersDescription:[{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.enable_attention_slicing.slice_size",description:`<strong>slice_size</strong> (<code>str</code> or <code>int</code>, <em>optional</em>, defaults to <code>&quot;auto&quot;</code>) &#x2014;
When <code>&quot;auto&quot;</code>, halves the input to the attention heads, so attention will be computed in two steps. If
<code>&quot;max&quot;</code>, maximum amount of memory will be saved by running only one slice at a time. If a number is
provided, uses as many slices as <code>attention_head_dim // slice_size</code>. In this case, <code>attention_head_dim</code>
must be a multiple of <code>slice_size</code>.`,name:"slice_size"}],source:"https://github.com/huggingface/diffusers/blob/vr_2813/src/diffusers/pipelines/pipeline_utils.py#L1349"}}),et=new S({props:{name:"disable_attention_slicing",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.disable_attention_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2813/src/diffusers/pipelines/pipeline_utils.py#L1365"}}),nt=new S({props:{name:"enable_vae_slicing",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.enable_vae_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2813/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip_img2img.py#L142"}}),ot=new S({props:{name:"disable_vae_slicing",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.disable_vae_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2813/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip_img2img.py#L152"}}),at=new S({props:{name:"enable_xformers_memory_efficient_attention",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.enable_xformers_memory_efficient_attention",parameters:[{name:"attention_op",val:": typing.Optional[typing.Callable] = None"}],parametersDescription:[{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.enable_xformers_memory_efficient_attention.attention_op",description:`<strong>attention_op</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
Override the default <code>None</code> operator for use as <code>op</code> argument to the
<a href="https://facebookresearch.github.io/xformers/components/ops.html#xformers.ops.memory_efficient_attention" rel="nofollow"><code>memory_efficient_attention()</code></a>
function of xFormers.`,name:"attention_op"}],source:"https://github.com/huggingface/diffusers/blob/vr_2813/src/diffusers/pipelines/pipeline_utils.py#L1292"}}),ve=new Ao({props:{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.enable_xformers_memory_efficient_attention.example",$$slots:{default:[hl]},$$scope:{ctx:N}}}),st=new S({props:{name:"disable_xformers_memory_efficient_attention",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.disable_xformers_memory_efficient_attention",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2813/src/diffusers/pipelines/pipeline_utils.py#L1324"}}),rt=new S({props:{name:"enable_sequential_cpu_offload",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.enable_sequential_cpu_offload",parameters:[{name:"gpu_id",val:" = 0"}],source:"https://github.com/huggingface/diffusers/blob/vr_2813/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip_img2img.py#L159"}}),pt=new S({props:{name:"noise_image_embeddings",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.noise_image_embeddings",parameters:[{name:"image_embeds",val:": Tensor"},{name:"noise_level",val:": int"},{name:"noise",val:": typing.Optional[torch.FloatTensor] = None"},{name:"generator",val:": typing.Optional[torch._C.Generator] = None"}],source:"https://github.com/huggingface/diffusers/blob/vr_2813/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip_img2img.py#L525"}}),{c(){u=o("meta"),k=l(),$=o("h1"),f=o("a"),C=o("span"),h(d.$$.fragment),y=l(),kt=o("span"),jo=s("Stable unCLIP"),Vn=l(),ne=o("p"),Oo=s("Stable unCLIP checkpoints are finetuned from "),gt=o("a"),qo=s("stable diffusion 2.1"),No=s(` checkpoints to condition on CLIP image embeddings.
Stable unCLIP also still conditions on text embeddings. Given the two separate conditionings, stable unCLIP can be used
for text guided image variation. When combined with an unCLIP prior, it can also be used for full text to image generation.`),Mn=l(),ut=o("p"),zo=s("To know more about the unCLIP process, check out the following paper:"),Gn=l(),ye=o("p"),$e=o("a"),Fo=s("Hierarchical Text-Conditional Image Generation with CLIP Latents"),Vo=s(" by Aditya Ramesh, Prafulla Dhariwal, Alex Nichol, Casey Chu, Mark Chen."),Wn=l(),R=o("h2"),oe=o("a"),St=o("span"),h(we.$$.fragment),Mo=l(),Ut=o("span"),Go=s("Tips"),Bn=l(),A=o("p"),Wo=s("Stable unCLIP takes a "),Tt=o("code"),Bo=s("noise_level"),Ko=s(" as input during inference. "),At=o("code"),Ho=s("noise_level"),Ro=s(` determines how much noise is added
to the image embeddings. A higher `),Dt=o("code"),Jo=s("noise_level"),Qo=s(` increases variation in the final un-noised images. By default,
we do not add any additional noise to the image embeddings i.e. `),jt=o("code"),Xo=s("noise_level = 0"),Yo=s("."),Kn=l(),J=o("h3"),ie=o("a"),Ot=o("span"),h(xe.$$.fragment),Zo=l(),qt=o("span"),ei=s("Available checkpoints:"),Hn=l(),ae=o("ul"),ht=o("li"),ti=s("Image variation"),Ce=o("ul"),Nt=o("li"),Le=o("a"),ni=s("stabilityai/stable-diffusion-2-1-unclip"),oi=l(),zt=o("li"),Ee=o("a"),ii=s("stabilityai/stable-diffusion-2-1-unclip-small"),ai=l(),_t=o("li"),si=s("Text-to-image "),Ft=o("ul"),Vt=o("li"),ri=s("Coming soon!"),Rn=l(),Q=o("h3"),se=o("a"),Mt=o("span"),h(ke.$$.fragment),li=l(),Gt=o("span"),pi=s("Text-to-Image Generation"),Jn=l(),bt=o("p"),di=s("Coming soon!"),Qn=l(),X=o("h3"),re=o("a"),Wt=o("span"),h(Se.$$.fragment),ci=l(),Bt=o("span"),mi=s("Text guided Image-to-Image Variation"),Xn=l(),h(Ue.$$.fragment),Yn=l(),Y=o("h3"),le=o("a"),Kt=o("span"),h(Te.$$.fragment),fi=l(),Ht=o("span"),gi=s("StableUnCLIPPipeline"),Zn=l(),w=o("div"),h(Ae.$$.fragment),ui=l(),Rt=o("p"),hi=s("Pipeline for text-to-image generation using stable unCLIP."),_i=l(),De=o("p"),bi=s("This model inherits from "),vt=o("a"),vi=s("DiffusionPipeline"),Pi=s(`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),Ii=l(),z=o("div"),h(je.$$.fragment),yi=l(),Jt=o("p"),$i=s("Function invoked when calling the pipeline for generation."),wi=l(),h(pe.$$.fragment),xi=l(),F=o("div"),h(Oe.$$.fragment),Ci=l(),Qt=o("p"),Li=s("Enable sliced attention computation."),Ei=l(),Xt=o("p"),ki=s(`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),Si=l(),de=o("div"),h(qe.$$.fragment),Ui=l(),Ne=o("p"),Ti=s("Disable sliced attention computation. If "),Yt=o("code"),Ai=s("enable_attention_slicing"),Di=s(` was previously invoked, this method will go
back to computing attention in one step.`),ji=l(),V=o("div"),h(ze.$$.fragment),Oi=l(),Zt=o("p"),qi=s("Enable sliced VAE decoding."),Ni=l(),en=o("p"),zi=s(`When this option is enabled, the VAE will split the input tensor in slices to compute decoding in several
steps. This is useful to save some memory and allow larger batch sizes.`),Fi=l(),ce=o("div"),h(Fe.$$.fragment),Vi=l(),Ve=o("p"),Mi=s("Disable sliced VAE decoding. If "),tn=o("code"),Gi=s("enable_vae_slicing"),Wi=s(` was previously invoked, this method will go back to
computing decoding in one step.`),Bi=l(),D=o("div"),h(Me.$$.fragment),Ki=l(),nn=o("p"),Hi=s("Enable memory efficient attention as implemented in xformers."),Ri=l(),on=o("p"),Ji=s(`When this option is enabled, you should observe lower GPU memory usage and a potential speed up at inference
time. Speed up at training time is not guaranteed.`),Qi=l(),an=o("p"),Xi=s(`Warning: When Memory Efficient Attention and Sliced attention are both enabled, the Memory Efficient Attention
is used.`),Yi=l(),h(me.$$.fragment),Zi=l(),fe=o("div"),h(Ge.$$.fragment),ea=l(),sn=o("p"),ta=s("Disable memory efficient attention as implemented in xformers."),na=l(),ge=o("div"),h(We.$$.fragment),oa=l(),Be=o("p"),ia=s(`Offloads all models to CPU using accelerate, significantly reducing memory usage. When called, the pipeline\u2019s
models have their state dicts saved to CPU and then are moved to a `),rn=o("code"),aa=s("torch.device('meta') and loaded to GPU only when their specific submodule has its "),sa=s("forward` method called."),ra=l(),U=o("div"),h(Ke.$$.fragment),la=l(),Z=o("p"),pa=s("Add noise to the image embeddings. The amount of noise is controlled by a "),ln=o("code"),da=s("noise_level"),ca=s(` input. A higher
`),pn=o("code"),ma=s("noise_level"),fa=s(" increases the variance in the final un-noised images."),ga=l(),dn=o("p"),ua=s("The noise is applied in two ways"),ha=l(),He=o("ol"),cn=o("li"),_a=s("A noise schedule is applied directly to the embeddings"),ba=l(),mn=o("li"),va=s("A vector of sinusoidal time embeddings are appended to the output."),Pa=l(),Re=o("p"),Ia=s("In both cases, the amount of noise is controlled by the same "),fn=o("code"),ya=s("noise_level"),$a=s("."),wa=l(),gn=o("p"),xa=s("The embeddings are normalized before the noise is applied and un-normalized after the noise is applied."),eo=l(),ee=o("h3"),ue=o("a"),un=o("span"),h(Je.$$.fragment),Ca=l(),hn=o("span"),La=s("StableUnCLIPImg2ImgPipeline"),to=l(),x=o("div"),h(Qe.$$.fragment),Ea=l(),_n=o("p"),ka=s("Pipeline for text-guided image to image generation using stable unCLIP."),Sa=l(),Xe=o("p"),Ua=s("This model inherits from "),Pt=o("a"),Ta=s("DiffusionPipeline"),Aa=s(`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),Da=l(),M=o("div"),h(Ye.$$.fragment),ja=l(),bn=o("p"),Oa=s("Function invoked when calling the pipeline for generation."),qa=l(),h(he.$$.fragment),Na=l(),G=o("div"),h(Ze.$$.fragment),za=l(),vn=o("p"),Fa=s("Enable sliced attention computation."),Va=l(),Pn=o("p"),Ma=s(`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),Ga=l(),_e=o("div"),h(et.$$.fragment),Wa=l(),tt=o("p"),Ba=s("Disable sliced attention computation. If "),In=o("code"),Ka=s("enable_attention_slicing"),Ha=s(` was previously invoked, this method will go
back to computing attention in one step.`),Ra=l(),W=o("div"),h(nt.$$.fragment),Ja=l(),yn=o("p"),Qa=s("Enable sliced VAE decoding."),Xa=l(),$n=o("p"),Ya=s(`When this option is enabled, the VAE will split the input tensor in slices to compute decoding in several
steps. This is useful to save some memory and allow larger batch sizes.`),Za=l(),be=o("div"),h(ot.$$.fragment),es=l(),it=o("p"),ts=s("Disable sliced VAE decoding. If "),wn=o("code"),ns=s("enable_vae_slicing"),os=s(` was previously invoked, this method will go back to
computing decoding in one step.`),is=l(),j=o("div"),h(at.$$.fragment),as=l(),xn=o("p"),ss=s("Enable memory efficient attention as implemented in xformers."),rs=l(),Cn=o("p"),ls=s(`When this option is enabled, you should observe lower GPU memory usage and a potential speed up at inference
time. Speed up at training time is not guaranteed.`),ps=l(),Ln=o("p"),ds=s(`Warning: When Memory Efficient Attention and Sliced attention are both enabled, the Memory Efficient Attention
is used.`),cs=l(),h(ve.$$.fragment),ms=l(),Pe=o("div"),h(st.$$.fragment),fs=l(),En=o("p"),gs=s("Disable memory efficient attention as implemented in xformers."),us=l(),Ie=o("div"),h(rt.$$.fragment),hs=l(),lt=o("p"),_s=s(`Offloads all models to CPU using accelerate, significantly reducing memory usage. When called, the pipeline\u2019s
models have their state dicts saved to CPU and then are moved to a `),kn=o("code"),bs=s("torch.device('meta') and loaded to GPU only when their specific submodule has its "),vs=s("forward` method called."),Ps=l(),T=o("div"),h(pt.$$.fragment),Is=l(),te=o("p"),ys=s("Add noise to the image embeddings. The amount of noise is controlled by a "),Sn=o("code"),$s=s("noise_level"),ws=s(` input. A higher
`),Un=o("code"),xs=s("noise_level"),Cs=s(" increases the variance in the final un-noised images."),Ls=l(),Tn=o("p"),Es=s("The noise is applied in two ways"),ks=l(),dt=o("ol"),An=o("li"),Ss=s("A noise schedule is applied directly to the embeddings"),Us=l(),Dn=o("li"),Ts=s("A vector of sinusoidal time embeddings are appended to the output."),As=l(),ct=o("p"),Ds=s("In both cases, the amount of noise is controlled by the same "),jn=o("code"),js=s("noise_level"),Os=s("."),qs=l(),On=o("p"),Ns=s("The embeddings are normalized before the noise is applied and un-normalized after the noise is applied."),this.h()},l(n){const m=cl('[data-svelte="svelte-1phssyn"]',document.head);u=i(m,"META",{name:!0,content:!0}),m.forEach(t),k=p(n),$=i(n,"H1",{class:!0});var mt=a($);f=i(mt,"A",{id:!0,class:!0,href:!0});var qn=a(f);C=i(qn,"SPAN",{});var Nn=a(C);_(d.$$.fragment,Nn),Nn.forEach(t),qn.forEach(t),y=p(mt),kt=i(mt,"SPAN",{});var zn=a(kt);jo=r(zn,"Stable unCLIP"),zn.forEach(t),mt.forEach(t),Vn=p(n),ne=i(n,"P",{});var oo=a(ne);Oo=r(oo,"Stable unCLIP checkpoints are finetuned from "),gt=i(oo,"A",{href:!0});var Ms=a(gt);qo=r(Ms,"stable diffusion 2.1"),Ms.forEach(t),No=r(oo,` checkpoints to condition on CLIP image embeddings.
Stable unCLIP also still conditions on text embeddings. Given the two separate conditionings, stable unCLIP can be used
for text guided image variation. When combined with an unCLIP prior, it can also be used for full text to image generation.`),oo.forEach(t),Mn=p(n),ut=i(n,"P",{});var Gs=a(ut);zo=r(Gs,"To know more about the unCLIP process, check out the following paper:"),Gs.forEach(t),Gn=p(n),ye=i(n,"P",{});var zs=a(ye);$e=i(zs,"A",{href:!0,rel:!0});var Ws=a($e);Fo=r(Ws,"Hierarchical Text-Conditional Image Generation with CLIP Latents"),Ws.forEach(t),Vo=r(zs," by Aditya Ramesh, Prafulla Dhariwal, Alex Nichol, Casey Chu, Mark Chen."),zs.forEach(t),Wn=p(n),R=i(n,"H2",{class:!0});var io=a(R);oe=i(io,"A",{id:!0,class:!0,href:!0});var Bs=a(oe);St=i(Bs,"SPAN",{});var Ks=a(St);_(we.$$.fragment,Ks),Ks.forEach(t),Bs.forEach(t),Mo=p(io),Ut=i(io,"SPAN",{});var Hs=a(Ut);Go=r(Hs,"Tips"),Hs.forEach(t),io.forEach(t),Bn=p(n),A=i(n,"P",{});var B=a(A);Wo=r(B,"Stable unCLIP takes a "),Tt=i(B,"CODE",{});var Rs=a(Tt);Bo=r(Rs,"noise_level"),Rs.forEach(t),Ko=r(B," as input during inference. "),At=i(B,"CODE",{});var Js=a(At);Ho=r(Js,"noise_level"),Js.forEach(t),Ro=r(B,` determines how much noise is added
to the image embeddings. A higher `),Dt=i(B,"CODE",{});var Qs=a(Dt);Jo=r(Qs,"noise_level"),Qs.forEach(t),Qo=r(B,` increases variation in the final un-noised images. By default,
we do not add any additional noise to the image embeddings i.e. `),jt=i(B,"CODE",{});var Xs=a(jt);Xo=r(Xs,"noise_level = 0"),Xs.forEach(t),Yo=r(B,"."),B.forEach(t),Kn=p(n),J=i(n,"H3",{class:!0});var ao=a(J);ie=i(ao,"A",{id:!0,class:!0,href:!0});var Ys=a(ie);Ot=i(Ys,"SPAN",{});var Zs=a(Ot);_(xe.$$.fragment,Zs),Zs.forEach(t),Ys.forEach(t),Zo=p(ao),qt=i(ao,"SPAN",{});var er=a(qt);ei=r(er,"Available checkpoints:"),er.forEach(t),ao.forEach(t),Hn=p(n),ae=i(n,"UL",{});var so=a(ae);ht=i(so,"LI",{});var Fs=a(ht);ti=r(Fs,"Image variation"),Ce=i(Fs,"UL",{});var ro=a(Ce);Nt=i(ro,"LI",{});var tr=a(Nt);Le=i(tr,"A",{href:!0,rel:!0});var nr=a(Le);ni=r(nr,"stabilityai/stable-diffusion-2-1-unclip"),nr.forEach(t),tr.forEach(t),oi=p(ro),zt=i(ro,"LI",{});var or=a(zt);Ee=i(or,"A",{href:!0,rel:!0});var ir=a(Ee);ii=r(ir,"stabilityai/stable-diffusion-2-1-unclip-small"),ir.forEach(t),or.forEach(t),ro.forEach(t),Fs.forEach(t),ai=p(so),_t=i(so,"LI",{});var Vs=a(_t);si=r(Vs,"Text-to-image "),Ft=i(Vs,"UL",{});var ar=a(Ft);Vt=i(ar,"LI",{});var sr=a(Vt);ri=r(sr,"Coming soon!"),sr.forEach(t),ar.forEach(t),Vs.forEach(t),so.forEach(t),Rn=p(n),Q=i(n,"H3",{class:!0});var lo=a(Q);se=i(lo,"A",{id:!0,class:!0,href:!0});var rr=a(se);Mt=i(rr,"SPAN",{});var lr=a(Mt);_(ke.$$.fragment,lr),lr.forEach(t),rr.forEach(t),li=p(lo),Gt=i(lo,"SPAN",{});var pr=a(Gt);pi=r(pr,"Text-to-Image Generation"),pr.forEach(t),lo.forEach(t),Jn=p(n),bt=i(n,"P",{});var dr=a(bt);di=r(dr,"Coming soon!"),dr.forEach(t),Qn=p(n),X=i(n,"H3",{class:!0});var po=a(X);re=i(po,"A",{id:!0,class:!0,href:!0});var cr=a(re);Wt=i(cr,"SPAN",{});var mr=a(Wt);_(Se.$$.fragment,mr),mr.forEach(t),cr.forEach(t),ci=p(po),Bt=i(po,"SPAN",{});var fr=a(Bt);mi=r(fr,"Text guided Image-to-Image Variation"),fr.forEach(t),po.forEach(t),Xn=p(n),_(Ue.$$.fragment,n),Yn=p(n),Y=i(n,"H3",{class:!0});var co=a(Y);le=i(co,"A",{id:!0,class:!0,href:!0});var gr=a(le);Kt=i(gr,"SPAN",{});var ur=a(Kt);_(Te.$$.fragment,ur),ur.forEach(t),gr.forEach(t),fi=p(co),Ht=i(co,"SPAN",{});var hr=a(Ht);gi=r(hr,"StableUnCLIPPipeline"),hr.forEach(t),co.forEach(t),Zn=p(n),w=i(n,"DIV",{class:!0});var L=a(w);_(Ae.$$.fragment,L),ui=p(L),Rt=i(L,"P",{});var _r=a(Rt);hi=r(_r,"Pipeline for text-to-image generation using stable unCLIP."),_r.forEach(t),_i=p(L),De=i(L,"P",{});var mo=a(De);bi=r(mo,"This model inherits from "),vt=i(mo,"A",{href:!0});var br=a(vt);vi=r(br,"DiffusionPipeline"),br.forEach(t),Pi=r(mo,`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),mo.forEach(t),Ii=p(L),z=i(L,"DIV",{class:!0});var It=a(z);_(je.$$.fragment,It),yi=p(It),Jt=i(It,"P",{});var vr=a(Jt);$i=r(vr,"Function invoked when calling the pipeline for generation."),vr.forEach(t),wi=p(It),_(pe.$$.fragment,It),It.forEach(t),xi=p(L),F=i(L,"DIV",{class:!0});var yt=a(F);_(Oe.$$.fragment,yt),Ci=p(yt),Qt=i(yt,"P",{});var Pr=a(Qt);Li=r(Pr,"Enable sliced attention computation."),Pr.forEach(t),Ei=p(yt),Xt=i(yt,"P",{});var Ir=a(Xt);ki=r(Ir,`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),Ir.forEach(t),yt.forEach(t),Si=p(L),de=i(L,"DIV",{class:!0});var fo=a(de);_(qe.$$.fragment,fo),Ui=p(fo),Ne=i(fo,"P",{});var go=a(Ne);Ti=r(go,"Disable sliced attention computation. If "),Yt=i(go,"CODE",{});var yr=a(Yt);Ai=r(yr,"enable_attention_slicing"),yr.forEach(t),Di=r(go,` was previously invoked, this method will go
back to computing attention in one step.`),go.forEach(t),fo.forEach(t),ji=p(L),V=i(L,"DIV",{class:!0});var $t=a(V);_(ze.$$.fragment,$t),Oi=p($t),Zt=i($t,"P",{});var $r=a(Zt);qi=r($r,"Enable sliced VAE decoding."),$r.forEach(t),Ni=p($t),en=i($t,"P",{});var wr=a(en);zi=r(wr,`When this option is enabled, the VAE will split the input tensor in slices to compute decoding in several
steps. This is useful to save some memory and allow larger batch sizes.`),wr.forEach(t),$t.forEach(t),Fi=p(L),ce=i(L,"DIV",{class:!0});var uo=a(ce);_(Fe.$$.fragment,uo),Vi=p(uo),Ve=i(uo,"P",{});var ho=a(Ve);Mi=r(ho,"Disable sliced VAE decoding. If "),tn=i(ho,"CODE",{});var xr=a(tn);Gi=r(xr,"enable_vae_slicing"),xr.forEach(t),Wi=r(ho,` was previously invoked, this method will go back to
computing decoding in one step.`),ho.forEach(t),uo.forEach(t),Bi=p(L),D=i(L,"DIV",{class:!0});var K=a(D);_(Me.$$.fragment,K),Ki=p(K),nn=i(K,"P",{});var Cr=a(nn);Hi=r(Cr,"Enable memory efficient attention as implemented in xformers."),Cr.forEach(t),Ri=p(K),on=i(K,"P",{});var Lr=a(on);Ji=r(Lr,`When this option is enabled, you should observe lower GPU memory usage and a potential speed up at inference
time. Speed up at training time is not guaranteed.`),Lr.forEach(t),Qi=p(K),an=i(K,"P",{});var Er=a(an);Xi=r(Er,`Warning: When Memory Efficient Attention and Sliced attention are both enabled, the Memory Efficient Attention
is used.`),Er.forEach(t),Yi=p(K),_(me.$$.fragment,K),K.forEach(t),Zi=p(L),fe=i(L,"DIV",{class:!0});var _o=a(fe);_(Ge.$$.fragment,_o),ea=p(_o),sn=i(_o,"P",{});var kr=a(sn);ta=r(kr,"Disable memory efficient attention as implemented in xformers."),kr.forEach(t),_o.forEach(t),na=p(L),ge=i(L,"DIV",{class:!0});var bo=a(ge);_(We.$$.fragment,bo),oa=p(bo),Be=i(bo,"P",{});var vo=a(Be);ia=r(vo,`Offloads all models to CPU using accelerate, significantly reducing memory usage. When called, the pipeline\u2019s
models have their state dicts saved to CPU and then are moved to a `),rn=i(vo,"CODE",{});var Sr=a(rn);aa=r(Sr,"torch.device('meta') and loaded to GPU only when their specific submodule has its "),Sr.forEach(t),sa=r(vo,"forward` method called."),vo.forEach(t),bo.forEach(t),ra=p(L),U=i(L,"DIV",{class:!0});var O=a(U);_(Ke.$$.fragment,O),la=p(O),Z=i(O,"P",{});var wt=a(Z);pa=r(wt,"Add noise to the image embeddings. The amount of noise is controlled by a "),ln=i(wt,"CODE",{});var Ur=a(ln);da=r(Ur,"noise_level"),Ur.forEach(t),ca=r(wt,` input. A higher
`),pn=i(wt,"CODE",{});var Tr=a(pn);ma=r(Tr,"noise_level"),Tr.forEach(t),fa=r(wt," increases the variance in the final un-noised images."),wt.forEach(t),ga=p(O),dn=i(O,"P",{});var Ar=a(dn);ua=r(Ar,"The noise is applied in two ways"),Ar.forEach(t),ha=p(O),He=i(O,"OL",{});var Po=a(He);cn=i(Po,"LI",{});var Dr=a(cn);_a=r(Dr,"A noise schedule is applied directly to the embeddings"),Dr.forEach(t),ba=p(Po),mn=i(Po,"LI",{});var jr=a(mn);va=r(jr,"A vector of sinusoidal time embeddings are appended to the output."),jr.forEach(t),Po.forEach(t),Pa=p(O),Re=i(O,"P",{});var Io=a(Re);Ia=r(Io,"In both cases, the amount of noise is controlled by the same "),fn=i(Io,"CODE",{});var Or=a(fn);ya=r(Or,"noise_level"),Or.forEach(t),$a=r(Io,"."),Io.forEach(t),wa=p(O),gn=i(O,"P",{});var qr=a(gn);xa=r(qr,"The embeddings are normalized before the noise is applied and un-normalized after the noise is applied."),qr.forEach(t),O.forEach(t),L.forEach(t),eo=p(n),ee=i(n,"H3",{class:!0});var yo=a(ee);ue=i(yo,"A",{id:!0,class:!0,href:!0});var Nr=a(ue);un=i(Nr,"SPAN",{});var zr=a(un);_(Je.$$.fragment,zr),zr.forEach(t),Nr.forEach(t),Ca=p(yo),hn=i(yo,"SPAN",{});var Fr=a(hn);La=r(Fr,"StableUnCLIPImg2ImgPipeline"),Fr.forEach(t),yo.forEach(t),to=p(n),x=i(n,"DIV",{class:!0});var E=a(x);_(Qe.$$.fragment,E),Ea=p(E),_n=i(E,"P",{});var Vr=a(_n);ka=r(Vr,"Pipeline for text-guided image to image generation using stable unCLIP."),Vr.forEach(t),Sa=p(E),Xe=i(E,"P",{});var $o=a(Xe);Ua=r($o,"This model inherits from "),Pt=i($o,"A",{href:!0});var Mr=a(Pt);Ta=r(Mr,"DiffusionPipeline"),Mr.forEach(t),Aa=r($o,`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),$o.forEach(t),Da=p(E),M=i(E,"DIV",{class:!0});var xt=a(M);_(Ye.$$.fragment,xt),ja=p(xt),bn=i(xt,"P",{});var Gr=a(bn);Oa=r(Gr,"Function invoked when calling the pipeline for generation."),Gr.forEach(t),qa=p(xt),_(he.$$.fragment,xt),xt.forEach(t),Na=p(E),G=i(E,"DIV",{class:!0});var Ct=a(G);_(Ze.$$.fragment,Ct),za=p(Ct),vn=i(Ct,"P",{});var Wr=a(vn);Fa=r(Wr,"Enable sliced attention computation."),Wr.forEach(t),Va=p(Ct),Pn=i(Ct,"P",{});var Br=a(Pn);Ma=r(Br,`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),Br.forEach(t),Ct.forEach(t),Ga=p(E),_e=i(E,"DIV",{class:!0});var wo=a(_e);_(et.$$.fragment,wo),Wa=p(wo),tt=i(wo,"P",{});var xo=a(tt);Ba=r(xo,"Disable sliced attention computation. If "),In=i(xo,"CODE",{});var Kr=a(In);Ka=r(Kr,"enable_attention_slicing"),Kr.forEach(t),Ha=r(xo,` was previously invoked, this method will go
back to computing attention in one step.`),xo.forEach(t),wo.forEach(t),Ra=p(E),W=i(E,"DIV",{class:!0});var Lt=a(W);_(nt.$$.fragment,Lt),Ja=p(Lt),yn=i(Lt,"P",{});var Hr=a(yn);Qa=r(Hr,"Enable sliced VAE decoding."),Hr.forEach(t),Xa=p(Lt),$n=i(Lt,"P",{});var Rr=a($n);Ya=r(Rr,`When this option is enabled, the VAE will split the input tensor in slices to compute decoding in several
steps. This is useful to save some memory and allow larger batch sizes.`),Rr.forEach(t),Lt.forEach(t),Za=p(E),be=i(E,"DIV",{class:!0});var Co=a(be);_(ot.$$.fragment,Co),es=p(Co),it=i(Co,"P",{});var Lo=a(it);ts=r(Lo,"Disable sliced VAE decoding. If "),wn=i(Lo,"CODE",{});var Jr=a(wn);ns=r(Jr,"enable_vae_slicing"),Jr.forEach(t),os=r(Lo,` was previously invoked, this method will go back to
computing decoding in one step.`),Lo.forEach(t),Co.forEach(t),is=p(E),j=i(E,"DIV",{class:!0});var H=a(j);_(at.$$.fragment,H),as=p(H),xn=i(H,"P",{});var Qr=a(xn);ss=r(Qr,"Enable memory efficient attention as implemented in xformers."),Qr.forEach(t),rs=p(H),Cn=i(H,"P",{});var Xr=a(Cn);ls=r(Xr,`When this option is enabled, you should observe lower GPU memory usage and a potential speed up at inference
time. Speed up at training time is not guaranteed.`),Xr.forEach(t),ps=p(H),Ln=i(H,"P",{});var Yr=a(Ln);ds=r(Yr,`Warning: When Memory Efficient Attention and Sliced attention are both enabled, the Memory Efficient Attention
is used.`),Yr.forEach(t),cs=p(H),_(ve.$$.fragment,H),H.forEach(t),ms=p(E),Pe=i(E,"DIV",{class:!0});var Eo=a(Pe);_(st.$$.fragment,Eo),fs=p(Eo),En=i(Eo,"P",{});var Zr=a(En);gs=r(Zr,"Disable memory efficient attention as implemented in xformers."),Zr.forEach(t),Eo.forEach(t),us=p(E),Ie=i(E,"DIV",{class:!0});var ko=a(Ie);_(rt.$$.fragment,ko),hs=p(ko),lt=i(ko,"P",{});var So=a(lt);_s=r(So,`Offloads all models to CPU using accelerate, significantly reducing memory usage. When called, the pipeline\u2019s
models have their state dicts saved to CPU and then are moved to a `),kn=i(So,"CODE",{});var el=a(kn);bs=r(el,"torch.device('meta') and loaded to GPU only when their specific submodule has its "),el.forEach(t),vs=r(So,"forward` method called."),So.forEach(t),ko.forEach(t),Ps=p(E),T=i(E,"DIV",{class:!0});var q=a(T);_(pt.$$.fragment,q),Is=p(q),te=i(q,"P",{});var Et=a(te);ys=r(Et,"Add noise to the image embeddings. The amount of noise is controlled by a "),Sn=i(Et,"CODE",{});var tl=a(Sn);$s=r(tl,"noise_level"),tl.forEach(t),ws=r(Et,` input. A higher
`),Un=i(Et,"CODE",{});var nl=a(Un);xs=r(nl,"noise_level"),nl.forEach(t),Cs=r(Et," increases the variance in the final un-noised images."),Et.forEach(t),Ls=p(q),Tn=i(q,"P",{});var ol=a(Tn);Es=r(ol,"The noise is applied in two ways"),ol.forEach(t),ks=p(q),dt=i(q,"OL",{});var Uo=a(dt);An=i(Uo,"LI",{});var il=a(An);Ss=r(il,"A noise schedule is applied directly to the embeddings"),il.forEach(t),Us=p(Uo),Dn=i(Uo,"LI",{});var al=a(Dn);Ts=r(al,"A vector of sinusoidal time embeddings are appended to the output."),al.forEach(t),Uo.forEach(t),As=p(q),ct=i(q,"P",{});var To=a(ct);Ds=r(To,"In both cases, the amount of noise is controlled by the same "),jn=i(To,"CODE",{});var sl=a(jn);js=r(sl,"noise_level"),sl.forEach(t),Os=r(To,"."),To.forEach(t),qs=p(q),On=i(q,"P",{});var rl=a(On);Ns=r(rl,"The embeddings are normalized before the noise is applied and un-normalized after the noise is applied."),rl.forEach(t),q.forEach(t),E.forEach(t),this.h()},h(){c(u,"name","hf:doc:metadata"),c(u,"content",JSON.stringify(bl)),c(f,"id","stable-unclip"),c(f,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(f,"href","#stable-unclip"),c($,"class","relative group"),c(gt,"href","./stable_diffusion_2"),c($e,"href","https://arxiv.org/abs/2204.06125"),c($e,"rel","nofollow"),c(oe,"id","tips"),c(oe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(oe,"href","#tips"),c(R,"class","relative group"),c(ie,"id","available-checkpoints"),c(ie,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ie,"href","#available-checkpoints"),c(J,"class","relative group"),c(Le,"href","https://hf.co/stabilityai/stable-diffusion-2-1-unclip"),c(Le,"rel","nofollow"),c(Ee,"href","https://hf.co/stabilityai/stable-diffusion-2-1-unclip-small"),c(Ee,"rel","nofollow"),c(se,"id","texttoimage-generation"),c(se,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(se,"href","#texttoimage-generation"),c(Q,"class","relative group"),c(re,"id","text-guided-imagetoimage-variation"),c(re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(re,"href","#text-guided-imagetoimage-variation"),c(X,"class","relative group"),c(le,"id","diffusers.StableUnCLIPPipeline"),c(le,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(le,"href","#diffusers.StableUnCLIPPipeline"),c(Y,"class","relative group"),c(vt,"href","/docs/diffusers/pr_2813/en/api/diffusion_pipeline#diffusers.DiffusionPipeline"),c(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(de,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ue,"id","diffusers.StableUnCLIPImg2ImgPipeline"),c(ue,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ue,"href","#diffusers.StableUnCLIPImg2ImgPipeline"),c(ee,"class","relative group"),c(Pt,"href","/docs/diffusers/pr_2813/en/api/diffusion_pipeline#diffusers.DiffusionPipeline"),c(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(_e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(be,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(n,m){e(document.head,u),g(n,k,m),g(n,$,m),e($,f),e(f,C),b(d,C,null),e($,y),e($,kt),e(kt,jo),g(n,Vn,m),g(n,ne,m),e(ne,Oo),e(ne,gt),e(gt,qo),e(ne,No),g(n,Mn,m),g(n,ut,m),e(ut,zo),g(n,Gn,m),g(n,ye,m),e(ye,$e),e($e,Fo),e(ye,Vo),g(n,Wn,m),g(n,R,m),e(R,oe),e(oe,St),b(we,St,null),e(R,Mo),e(R,Ut),e(Ut,Go),g(n,Bn,m),g(n,A,m),e(A,Wo),e(A,Tt),e(Tt,Bo),e(A,Ko),e(A,At),e(At,Ho),e(A,Ro),e(A,Dt),e(Dt,Jo),e(A,Qo),e(A,jt),e(jt,Xo),e(A,Yo),g(n,Kn,m),g(n,J,m),e(J,ie),e(ie,Ot),b(xe,Ot,null),e(J,Zo),e(J,qt),e(qt,ei),g(n,Hn,m),g(n,ae,m),e(ae,ht),e(ht,ti),e(ht,Ce),e(Ce,Nt),e(Nt,Le),e(Le,ni),e(Ce,oi),e(Ce,zt),e(zt,Ee),e(Ee,ii),e(ae,ai),e(ae,_t),e(_t,si),e(_t,Ft),e(Ft,Vt),e(Vt,ri),g(n,Rn,m),g(n,Q,m),e(Q,se),e(se,Mt),b(ke,Mt,null),e(Q,li),e(Q,Gt),e(Gt,pi),g(n,Jn,m),g(n,bt,m),e(bt,di),g(n,Qn,m),g(n,X,m),e(X,re),e(re,Wt),b(Se,Wt,null),e(X,ci),e(X,Bt),e(Bt,mi),g(n,Xn,m),b(Ue,n,m),g(n,Yn,m),g(n,Y,m),e(Y,le),e(le,Kt),b(Te,Kt,null),e(Y,fi),e(Y,Ht),e(Ht,gi),g(n,Zn,m),g(n,w,m),b(Ae,w,null),e(w,ui),e(w,Rt),e(Rt,hi),e(w,_i),e(w,De),e(De,bi),e(De,vt),e(vt,vi),e(De,Pi),e(w,Ii),e(w,z),b(je,z,null),e(z,yi),e(z,Jt),e(Jt,$i),e(z,wi),b(pe,z,null),e(w,xi),e(w,F),b(Oe,F,null),e(F,Ci),e(F,Qt),e(Qt,Li),e(F,Ei),e(F,Xt),e(Xt,ki),e(w,Si),e(w,de),b(qe,de,null),e(de,Ui),e(de,Ne),e(Ne,Ti),e(Ne,Yt),e(Yt,Ai),e(Ne,Di),e(w,ji),e(w,V),b(ze,V,null),e(V,Oi),e(V,Zt),e(Zt,qi),e(V,Ni),e(V,en),e(en,zi),e(w,Fi),e(w,ce),b(Fe,ce,null),e(ce,Vi),e(ce,Ve),e(Ve,Mi),e(Ve,tn),e(tn,Gi),e(Ve,Wi),e(w,Bi),e(w,D),b(Me,D,null),e(D,Ki),e(D,nn),e(nn,Hi),e(D,Ri),e(D,on),e(on,Ji),e(D,Qi),e(D,an),e(an,Xi),e(D,Yi),b(me,D,null),e(w,Zi),e(w,fe),b(Ge,fe,null),e(fe,ea),e(fe,sn),e(sn,ta),e(w,na),e(w,ge),b(We,ge,null),e(ge,oa),e(ge,Be),e(Be,ia),e(Be,rn),e(rn,aa),e(Be,sa),e(w,ra),e(w,U),b(Ke,U,null),e(U,la),e(U,Z),e(Z,pa),e(Z,ln),e(ln,da),e(Z,ca),e(Z,pn),e(pn,ma),e(Z,fa),e(U,ga),e(U,dn),e(dn,ua),e(U,ha),e(U,He),e(He,cn),e(cn,_a),e(He,ba),e(He,mn),e(mn,va),e(U,Pa),e(U,Re),e(Re,Ia),e(Re,fn),e(fn,ya),e(Re,$a),e(U,wa),e(U,gn),e(gn,xa),g(n,eo,m),g(n,ee,m),e(ee,ue),e(ue,un),b(Je,un,null),e(ee,Ca),e(ee,hn),e(hn,La),g(n,to,m),g(n,x,m),b(Qe,x,null),e(x,Ea),e(x,_n),e(_n,ka),e(x,Sa),e(x,Xe),e(Xe,Ua),e(Xe,Pt),e(Pt,Ta),e(Xe,Aa),e(x,Da),e(x,M),b(Ye,M,null),e(M,ja),e(M,bn),e(bn,Oa),e(M,qa),b(he,M,null),e(x,Na),e(x,G),b(Ze,G,null),e(G,za),e(G,vn),e(vn,Fa),e(G,Va),e(G,Pn),e(Pn,Ma),e(x,Ga),e(x,_e),b(et,_e,null),e(_e,Wa),e(_e,tt),e(tt,Ba),e(tt,In),e(In,Ka),e(tt,Ha),e(x,Ra),e(x,W),b(nt,W,null),e(W,Ja),e(W,yn),e(yn,Qa),e(W,Xa),e(W,$n),e($n,Ya),e(x,Za),e(x,be),b(ot,be,null),e(be,es),e(be,it),e(it,ts),e(it,wn),e(wn,ns),e(it,os),e(x,is),e(x,j),b(at,j,null),e(j,as),e(j,xn),e(xn,ss),e(j,rs),e(j,Cn),e(Cn,ls),e(j,ps),e(j,Ln),e(Ln,ds),e(j,cs),b(ve,j,null),e(x,ms),e(x,Pe),b(st,Pe,null),e(Pe,fs),e(Pe,En),e(En,gs),e(x,us),e(x,Ie),b(rt,Ie,null),e(Ie,hs),e(Ie,lt),e(lt,_s),e(lt,kn),e(kn,bs),e(lt,vs),e(x,Ps),e(x,T),b(pt,T,null),e(T,Is),e(T,te),e(te,ys),e(te,Sn),e(Sn,$s),e(te,ws),e(te,Un),e(Un,xs),e(te,Cs),e(T,Ls),e(T,Tn),e(Tn,Es),e(T,ks),e(T,dt),e(dt,An),e(An,Ss),e(dt,Us),e(dt,Dn),e(Dn,Ts),e(T,As),e(T,ct),e(ct,Ds),e(ct,jn),e(jn,js),e(ct,Os),e(T,qs),e(T,On),e(On,Ns),no=!0},p(n,[m]){const mt={};m&2&&(mt.$$scope={dirty:m,ctx:n}),pe.$set(mt);const qn={};m&2&&(qn.$$scope={dirty:m,ctx:n}),me.$set(qn);const Nn={};m&2&&(Nn.$$scope={dirty:m,ctx:n}),he.$set(Nn);const zn={};m&2&&(zn.$$scope={dirty:m,ctx:n}),ve.$set(zn)},i(n){no||(v(d.$$.fragment,n),v(we.$$.fragment,n),v(xe.$$.fragment,n),v(ke.$$.fragment,n),v(Se.$$.fragment,n),v(Ue.$$.fragment,n),v(Te.$$.fragment,n),v(Ae.$$.fragment,n),v(je.$$.fragment,n),v(pe.$$.fragment,n),v(Oe.$$.fragment,n),v(qe.$$.fragment,n),v(ze.$$.fragment,n),v(Fe.$$.fragment,n),v(Me.$$.fragment,n),v(me.$$.fragment,n),v(Ge.$$.fragment,n),v(We.$$.fragment,n),v(Ke.$$.fragment,n),v(Je.$$.fragment,n),v(Qe.$$.fragment,n),v(Ye.$$.fragment,n),v(he.$$.fragment,n),v(Ze.$$.fragment,n),v(et.$$.fragment,n),v(nt.$$.fragment,n),v(ot.$$.fragment,n),v(at.$$.fragment,n),v(ve.$$.fragment,n),v(st.$$.fragment,n),v(rt.$$.fragment,n),v(pt.$$.fragment,n),no=!0)},o(n){P(d.$$.fragment,n),P(we.$$.fragment,n),P(xe.$$.fragment,n),P(ke.$$.fragment,n),P(Se.$$.fragment,n),P(Ue.$$.fragment,n),P(Te.$$.fragment,n),P(Ae.$$.fragment,n),P(je.$$.fragment,n),P(pe.$$.fragment,n),P(Oe.$$.fragment,n),P(qe.$$.fragment,n),P(ze.$$.fragment,n),P(Fe.$$.fragment,n),P(Me.$$.fragment,n),P(me.$$.fragment,n),P(Ge.$$.fragment,n),P(We.$$.fragment,n),P(Ke.$$.fragment,n),P(Je.$$.fragment,n),P(Qe.$$.fragment,n),P(Ye.$$.fragment,n),P(he.$$.fragment,n),P(Ze.$$.fragment,n),P(et.$$.fragment,n),P(nt.$$.fragment,n),P(ot.$$.fragment,n),P(at.$$.fragment,n),P(ve.$$.fragment,n),P(st.$$.fragment,n),P(rt.$$.fragment,n),P(pt.$$.fragment,n),no=!1},d(n){t(u),n&&t(k),n&&t($),I(d),n&&t(Vn),n&&t(ne),n&&t(Mn),n&&t(ut),n&&t(Gn),n&&t(ye),n&&t(Wn),n&&t(R),I(we),n&&t(Bn),n&&t(A),n&&t(Kn),n&&t(J),I(xe),n&&t(Hn),n&&t(ae),n&&t(Rn),n&&t(Q),I(ke),n&&t(Jn),n&&t(bt),n&&t(Qn),n&&t(X),I(Se),n&&t(Xn),I(Ue,n),n&&t(Yn),n&&t(Y),I(Te),n&&t(Zn),n&&t(w),I(Ae),I(je),I(pe),I(Oe),I(qe),I(ze),I(Fe),I(Me),I(me),I(Ge),I(We),I(Ke),n&&t(eo),n&&t(ee),I(Je),n&&t(to),n&&t(x),I(Qe),I(Ye),I(he),I(Ze),I(et),I(nt),I(ot),I(at),I(ve),I(st),I(rt),I(pt)}}}const bl={local:"stable-unclip",sections:[{local:"tips",sections:[{local:"available-checkpoints",title:"Available checkpoints:"},{local:"texttoimage-generation",title:"Text-to-Image Generation"},{local:"text-guided-imagetoimage-variation",title:"Text guided Image-to-Image Variation"},{local:"diffusers.StableUnCLIPPipeline",title:"StableUnCLIPPipeline"},{local:"diffusers.StableUnCLIPImg2ImgPipeline",title:"StableUnCLIPImg2ImgPipeline"}],title:"Tips"}],title:"Stable unCLIP"};function vl(N){return ml(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class xl extends ll{constructor(u){super();pl(this,u,vl,_l,dl,{})}}export{xl as default,bl as metadata};
